// Code generated by golex. DO NOT EDIT.

// Copyright (c) 2011 CZ.NIC z.s.p.o. All rights reserved.
// Use of this source code is governed by a BSD-style
// license that can be found in the LICENSE file.

// blame: jnml, labs.nic.cz

package main

import (
	"bufio"
	"bytes"
	"fmt"
	"go/token"
	"io"
	"unicode"

	"github.com/cznic/golex/lex"
)

// Allocate Character classes anywhere in [0x80, 0xFF].
const (
	classUnicodeLeter = iota + 0x80
	classUnicodeDigit
	classOther
)

var sc int

const (
	INITIAL = iota
	PHP
	STRING
	STRING_VAR
	STRING_VAR_INDEX
	STRING_VAR_NAME
	PROPERTY
	HEREDOC_END
	NOWDOC
	HEREDOC
	BACKQUOTE
)

type lexer struct {
	*lex.Lexer
}

var stateStack = []int{PHP}
var heredocLabel []byte

func pushState(state int) {
	sc = state
	stateStack = append(stateStack, state)
}

func popState() {
	len := len(stateStack)
	if len <= 1 {
		return
	}

	sc = stateStack[len-2]
	stateStack = stateStack[:len-1]
}

func begin(state int) {
	len := len(stateStack)
	stateStack = stateStack[:len-1]
	stateStack = append(stateStack, state)

	sc = state
}

func rune2Class(r rune) int {
	if r >= 0 && r < 0x80 { // Keep ASCII as it is.
		return int(r)
	}
	if unicode.IsLetter(r) {
		return classUnicodeLeter
	}
	if unicode.IsDigit(r) {
		return classUnicodeDigit
	}
	// return classOther
	return -1
}

func newLexer(src io.Reader, dst io.Writer, fName string) *lexer {
	file := token.NewFileSet().AddFile(fName, -1, 1<<31-1)
	lx, err := lex.New(file, bufio.NewReader(src), lex.RuneClass(rune2Class))
	if err != nil {
		panic(err)
	}
	return &lexer{lx}
}

func (l *lexer) unget(r rune) []byte {
	l.Unget(l.Lookahead())

	chars := l.Token()
	lastChar := chars[len(chars)-1]

	if lastChar.Rune != r {
		return l.TokenBytes(nil)
	}

	l.Unget(lastChar)

	buf := l.TokenBytes(nil)
	buf = buf[:len(buf)-1]

	return buf
}

func (l *lexer) ungetN(n int) []byte {
	l.Unget(l.Lookahead())

	chars := l.Token()

	for i := 1; i <= n; i++ {
		char := chars[len(chars)-i]
		l.Unget(char)
	}

	buf := l.TokenBytes(nil)
	buf = buf[:len(buf)-n]

	return buf
}

func (l *lexer) Lex(lval *yySymType) int { // Lex(lval *yySymType)
	c := l.Enter()

yystate0:
	yyrule := -1
	_ = yyrule
	c = l.Rule0()

	switch yyt := sc; yyt {
	default:
		panic(fmt.Errorf(`invalid start condition %d`, yyt))
	case 0: // start condition: INITIAL
		goto yystart1
	case 1: // start condition: PHP
		goto yystart13
	case 2: // start condition: STRING
		goto yystart554
	case 3: // start condition: STRING_VAR
		goto yystart561
	case 4: // start condition: STRING_VAR_INDEX
		goto yystart571
	case 5: // start condition: STRING_VAR_NAME
		goto yystart588
	case 6: // start condition: PROPERTY
		goto yystart593
	case 7: // start condition: HEREDOC_END
		goto yystart601
	case 8: // start condition: NOWDOC
		goto yystart604
	case 9: // start condition: HEREDOC
		goto yystart606
	case 10: // start condition: BACKQUOTE
		goto yystart610
	}

	goto yystate0 // silence unused label error
	goto yyAction // silence unused label error
yyAction:
	switch yyrule {
	case 1:
		goto yyrule1
	case 2:
		goto yyrule2
	case 3:
		goto yyrule3
	case 4:
		goto yyrule4
	case 5:
		goto yyrule5
	case 6:
		goto yyrule6
	case 7:
		goto yyrule7
	case 8:
		goto yyrule8
	case 9:
		goto yyrule9
	case 10:
		goto yyrule10
	case 11:
		goto yyrule11
	case 12:
		goto yyrule12
	case 13:
		goto yyrule13
	case 14:
		goto yyrule14
	case 15:
		goto yyrule15
	case 16:
		goto yyrule16
	case 17:
		goto yyrule17
	case 18:
		goto yyrule18
	case 19:
		goto yyrule19
	case 20:
		goto yyrule20
	case 21:
		goto yyrule21
	case 22:
		goto yyrule22
	case 23:
		goto yyrule23
	case 24:
		goto yyrule24
	case 25:
		goto yyrule25
	case 26:
		goto yyrule26
	case 27:
		goto yyrule27
	case 28:
		goto yyrule28
	case 29:
		goto yyrule29
	case 30:
		goto yyrule30
	case 31:
		goto yyrule31
	case 32:
		goto yyrule32
	case 33:
		goto yyrule33
	case 34:
		goto yyrule34
	case 35:
		goto yyrule35
	case 36:
		goto yyrule36
	case 37:
		goto yyrule37
	case 38:
		goto yyrule38
	case 39:
		goto yyrule39
	case 40:
		goto yyrule40
	case 41:
		goto yyrule41
	case 42:
		goto yyrule42
	case 43:
		goto yyrule43
	case 44:
		goto yyrule44
	case 45:
		goto yyrule45
	case 46:
		goto yyrule46
	case 47:
		goto yyrule47
	case 48:
		goto yyrule48
	case 49:
		goto yyrule49
	case 50:
		goto yyrule50
	case 51:
		goto yyrule51
	case 52:
		goto yyrule52
	case 53:
		goto yyrule53
	case 54:
		goto yyrule54
	case 55:
		goto yyrule55
	case 56:
		goto yyrule56
	case 57:
		goto yyrule57
	case 58:
		goto yyrule58
	case 59:
		goto yyrule59
	case 60:
		goto yyrule60
	case 61:
		goto yyrule61
	case 62:
		goto yyrule62
	case 63:
		goto yyrule63
	case 64:
		goto yyrule64
	case 65:
		goto yyrule65
	case 66:
		goto yyrule66
	case 67:
		goto yyrule67
	case 68:
		goto yyrule68
	case 69:
		goto yyrule69
	case 70:
		goto yyrule70
	case 71:
		goto yyrule71
	case 72:
		goto yyrule72
	case 73:
		goto yyrule73
	case 74:
		goto yyrule74
	case 75:
		goto yyrule75
	case 76:
		goto yyrule76
	case 77:
		goto yyrule77
	case 78:
		goto yyrule78
	case 79:
		goto yyrule79
	case 80:
		goto yyrule80
	case 81:
		goto yyrule81
	case 82:
		goto yyrule82
	case 83:
		goto yyrule83
	case 84:
		goto yyrule84
	case 85:
		goto yyrule85
	case 86:
		goto yyrule86
	case 87:
		goto yyrule87
	case 88:
		goto yyrule88
	case 89:
		goto yyrule89
	case 90:
		goto yyrule90
	case 91:
		goto yyrule91
	case 92:
		goto yyrule92
	case 93:
		goto yyrule93
	case 94:
		goto yyrule94
	case 95:
		goto yyrule95
	case 96:
		goto yyrule96
	case 97:
		goto yyrule97
	case 98:
		goto yyrule98
	case 99:
		goto yyrule99
	case 100:
		goto yyrule100
	case 101:
		goto yyrule101
	case 102:
		goto yyrule102
	case 103:
		goto yyrule103
	case 104:
		goto yyrule104
	case 105:
		goto yyrule105
	case 106:
		goto yyrule106
	case 107:
		goto yyrule107
	case 108:
		goto yyrule108
	case 109:
		goto yyrule109
	case 110:
		goto yyrule110
	case 111:
		goto yyrule111
	case 112:
		goto yyrule112
	case 113:
		goto yyrule113
	case 114:
		goto yyrule114
	case 115:
		goto yyrule115
	case 116:
		goto yyrule116
	case 117:
		goto yyrule117
	case 118:
		goto yyrule118
	case 119:
		goto yyrule119
	case 120:
		goto yyrule120
	case 121:
		goto yyrule121
	case 122:
		goto yyrule122
	case 123:
		goto yyrule123
	case 124:
		goto yyrule124
	case 125:
		goto yyrule125
	case 126:
		goto yyrule126
	case 127:
		goto yyrule127
	case 128:
		goto yyrule128
	case 129:
		goto yyrule129
	case 130:
		goto yyrule130
	case 131:
		goto yyrule131
	case 132:
		goto yyrule132
	case 133:
		goto yyrule133
	case 134:
		goto yyrule134
	case 135:
		goto yyrule135
	case 136:
		goto yyrule136
	case 137:
		goto yyrule137
	case 138:
		goto yyrule138
	case 139:
		goto yyrule139
	case 140:
		goto yyrule140
	case 141:
		goto yyrule141
	case 142:
		goto yyrule142
	case 143:
		goto yyrule143
	case 144:
		goto yyrule144
	case 145:
		goto yyrule145
	case 146:
		goto yyrule146
	case 147:
		goto yyrule147
	case 148:
		goto yyrule148
	case 149:
		goto yyrule149
	case 150:
		goto yyrule150
	case 151:
		goto yyrule151
	case 152:
		goto yyrule152
	case 153:
		goto yyrule153
	case 154:
		goto yyrule154
	case 155:
		goto yyrule155
	case 156:
		goto yyrule156
	case 157:
		goto yyrule157
	case 158:
		goto yyrule158
	case 159:
		goto yyrule159
	case 160:
		goto yyrule160
	case 161:
		goto yyrule161
	case 162:
		goto yyrule162
	case 163:
		goto yyrule163
	case 164:
		goto yyrule164
	case 165:
		goto yyrule165
	case 166:
		goto yyrule166
	}
	goto yystate1 // silence unused label error
yystate1:
	c = l.Next()
yystart1:
	switch {
	default:
		goto yyabort
	case c == '<':
		goto yystate5
	case c == '\n':
		goto yystate4
	case c == '\t' || c == '\r' || c == ' ':
		goto yystate3
	case c >= '\x01' && c <= '\b' || c == '\v' || c == '\f' || c >= '\x0e' && c <= '\x1f' || c >= '!' && c <= ';' || c >= '=' && c <= 'ÿ':
		goto yystate2
	}

yystate2:
	c = l.Next()
	yyrule = 2
	l.Mark()
	goto yyrule2

yystate3:
	c = l.Next()
	yyrule = 1
	l.Mark()
	switch {
	default:
		goto yyrule1
	case c == '\t' || c == '\n' || c == '\r' || c == ' ':
		goto yystate4
	}

yystate4:
	c = l.Next()
	yyrule = 1
	l.Mark()
	switch {
	default:
		goto yyrule1
	case c == '\t' || c == '\n' || c == '\r' || c == ' ':
		goto yystate4
	}

yystate5:
	c = l.Next()
	yyrule = 2
	l.Mark()
	switch {
	default:
		goto yyrule2
	case c == '?':
		goto yystate6
	}

yystate6:
	c = l.Next()
	yyrule = 4
	l.Mark()
	switch {
	default:
		goto yyrule4
	case c == '=':
		goto yystate7
	case c == 'p':
		goto yystate8
	}

yystate7:
	c = l.Next()
	yyrule = 5
	l.Mark()
	goto yyrule5

yystate8:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'h':
		goto yystate9
	}

yystate9:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'p':
		goto yystate10
	}

yystate10:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '\r':
		goto yystate12
	case c == '\t' || c == '\n' || c == ' ':
		goto yystate11
	}

yystate11:
	c = l.Next()
	yyrule = 3
	l.Mark()
	goto yyrule3

yystate12:
	c = l.Next()
	yyrule = 3
	l.Mark()
	switch {
	default:
		goto yyrule3
	case c == '\n':
		goto yystate11
	}

	goto yystate13 // silence unused label error
yystate13:
	c = l.Next()
yystart13:
	switch {
	default:
		goto yyabort
	case c == '!':
		goto yystate15
	case c == '"':
		goto yystate18
	case c == '#':
		goto yystate19
	case c == '$':
		goto yystate22
	case c == '%':
		goto yystate24
	case c == '&':
		goto yystate26
	case c == '(':
		goto yystate44
	case c == ')' || c == ',' || c == ';' || c == '@' || c == '[' || c == ']' || c == '~':
		goto yystate102
	case c == '*':
		goto yystate103
	case c == '+':
		goto yystate107
	case c == '-':
		goto yystate110
	case c == '.':
		goto yystate114
	case c == '/':
		goto yystate122
	case c == '0':
		goto yystate136
	case c == ':':
		goto yystate142
	case c == '<':
		goto yystate144
	case c == '=':
		goto yystate159
	case c == '>':
		goto yystate163
	case c == '?':
		goto yystate167
	case c == '\'':
		goto yystate29
	case c == '\\':
		goto yystate173
	case c == '\t' || c == '\n' || c == '\r' || c == ' ':
		goto yystate14
	case c == '^':
		goto yystate174
	case c == '_':
		goto yystate176
	case c == '`':
		goto yystate250
	case c == 'a':
		goto yystate251
	case c == 'b':
		goto yystate266
	case c == 'c':
		goto yystate273
	case c == 'd':
		goto yystate310
	case c == 'e':
		goto yystate325
	case c == 'f':
		goto yystate377
	case c == 'g':
		goto yystate390
	case c == 'i':
		goto yystate399
	case c == 'l':
		goto yystate445
	case c == 'n':
		goto yystate449
	case c == 'o':
		goto yystate460
	case c == 'p':
		goto yystate462
	case c == 'r':
		goto yystate483
	case c == 's':
		goto yystate499
	case c == 't':
		goto yystate510
	case c == 'u':
		goto yystate520
	case c == 'v':
		goto yystate527
	case c == 'w':
		goto yystate530
	case c == 'x':
		goto yystate535
	case c == 'y':
		goto yystate538
	case c == '{':
		goto yystate549
	case c == '|':
		goto yystate550
	case c == '}':
		goto yystate553
	case c >= '1' && c <= '9':
		goto yystate137
	case c >= 'A' && c <= 'Z' || c == 'h' || c == 'j' || c == 'k' || c == 'm' || c == 'q' || c == 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate14:
	c = l.Next()
	yyrule = 6
	l.Mark()
	switch {
	default:
		goto yyrule6
	case c == '\t' || c == '\n' || c == '\r' || c == ' ':
		goto yystate14
	}

yystate15:
	c = l.Next()
	yyrule = 129
	l.Mark()
	switch {
	default:
		goto yyrule129
	case c == '=':
		goto yystate16
	}

yystate16:
	c = l.Next()
	yyrule = 113
	l.Mark()
	switch {
	default:
		goto yyrule113
	case c == '=':
		goto yystate17
	}

yystate17:
	c = l.Next()
	yyrule = 114
	l.Mark()
	goto yyrule114

yystate18:
	c = l.Next()
	yyrule = 145
	l.Mark()
	goto yyrule145

yystate19:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '\n':
		goto yystate20
	case c == '\r':
		goto yystate21
	}

yystate20:
	c = l.Next()
	yyrule = 125
	l.Mark()
	goto yyrule125

yystate21:
	c = l.Next()
	yyrule = 125
	l.Mark()
	switch {
	default:
		goto yyrule125
	case c == '\n':
		goto yystate20
	}

yystate22:
	c = l.Next()
	yyrule = 129
	l.Mark()
	switch {
	default:
		goto yyrule129
	case c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate23
	}

yystate23:
	c = l.Next()
	yyrule = 132
	l.Mark()
	switch {
	default:
		goto yyrule132
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate23
	}

yystate24:
	c = l.Next()
	yyrule = 129
	l.Mark()
	switch {
	default:
		goto yyrule129
	case c == '=':
		goto yystate25
	}

yystate25:
	c = l.Next()
	yyrule = 108
	l.Mark()
	goto yyrule108

yystate26:
	c = l.Next()
	yyrule = 129
	l.Mark()
	switch {
	default:
		goto yyrule129
	case c == '&':
		goto yystate27
	case c == '=':
		goto yystate28
	}

yystate27:
	c = l.Next()
	yyrule = 97
	l.Mark()
	goto yyrule97

yystate28:
	c = l.Next()
	yyrule = 99
	l.Mark()
	goto yyrule99

yystate29:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '\'':
		goto yystate30
	case c == '\\':
		goto yystate31
	case c >= '\x01' && c <= '&' || c >= '(' && c <= '[' || c >= ']' && c <= 'ÿ':
		goto yystate29
	}

yystate30:
	c = l.Next()
	yyrule = 128
	l.Mark()
	goto yyrule128

yystate31:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '\'':
		goto yystate38
	case c == '\\':
		goto yystate34
	case c >= '\x01' && c <= '&' || c >= '(' && c <= '[' || c >= ']' && c <= 'ÿ':
		goto yystate32
	}

yystate32:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '\'':
		goto yystate33
	case c == '\\':
		goto yystate34
	case c >= '\x01' && c <= '&' || c >= '(' && c <= '[' || c >= ']' && c <= 'ÿ':
		goto yystate32
	}

yystate33:
	c = l.Next()
	yyrule = 128
	l.Mark()
	goto yyrule128

yystate34:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '\'':
		goto yystate35
	case c == '\\':
		goto yystate34
	case c >= '\x01' && c <= '&' || c >= '(' && c <= '[' || c >= ']' && c <= 'ÿ':
		goto yystate32
	}

yystate35:
	c = l.Next()
	yyrule = 128
	l.Mark()
	switch {
	default:
		goto yyrule128
	case c == '\'':
		goto yystate33
	case c == '\\':
		goto yystate36
	}

yystate36:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '\'':
		goto yystate37
	}

yystate37:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '\'':
		goto yystate33
	case c == '\\':
		goto yystate36
	}

yystate38:
	c = l.Next()
	yyrule = 128
	l.Mark()
	switch {
	default:
		goto yyrule128
	case c == '\'':
		goto yystate30
	case c == '\\':
		goto yystate42
	case c >= '\x01' && c <= '&' || c >= '(' && c <= '[' || c >= ']' && c <= 'ÿ':
		goto yystate39
	}

yystate39:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '\'':
		goto yystate40
	case c == '\\':
		goto yystate41
	case c >= '\x01' && c <= '&' || c >= '(' && c <= '[' || c >= ']' && c <= 'ÿ':
		goto yystate39
	}

yystate40:
	c = l.Next()
	yyrule = 139
	l.Mark()
	goto yyrule139

yystate41:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '\'':
		goto yystate39
	}

yystate42:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '\'':
		goto yystate43
	}

yystate43:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '\'':
		goto yystate30
	case c == '\\':
		goto yystate42
	case c >= '\x01' && c <= '&' || c >= '(' && c <= '[' || c >= ']' && c <= 'ÿ':
		goto yystate39
	}

yystate44:
	c = l.Next()
	yyrule = 129
	l.Mark()
	switch {
	default:
		goto yyrule129
	case c == '\t' || c == ' ':
		goto yystate45
	case c == 'a':
		goto yystate46
	case c == 'b':
		goto yystate52
	case c == 'd':
		goto yystate60
	case c == 'f':
		goto yystate67
	case c == 'i':
		goto yystate71
	case c == 'o':
		goto yystate79
	case c == 'r':
		goto yystate86
	case c == 's':
		goto yystate89
	case c == 'u':
		goto yystate96
	}

yystate45:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '\t' || c == ' ':
		goto yystate45
	case c == 'a':
		goto yystate46
	case c == 'b':
		goto yystate52
	case c == 'd':
		goto yystate60
	case c == 'f':
		goto yystate67
	case c == 'i':
		goto yystate71
	case c == 'o':
		goto yystate79
	case c == 'r':
		goto yystate86
	case c == 's':
		goto yystate89
	case c == 'u':
		goto yystate96
	}

yystate46:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'r':
		goto yystate47
	}

yystate47:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'r':
		goto yystate48
	}

yystate48:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'a':
		goto yystate49
	}

yystate49:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'y':
		goto yystate50
	}

yystate50:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == ')':
		goto yystate51
	case c == '\t' || c == ' ':
		goto yystate50
	}

yystate51:
	c = l.Next()
	yyrule = 83
	l.Mark()
	goto yyrule83

yystate52:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'o':
		goto yystate53
	}

yystate53:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'o':
		goto yystate54
	}

yystate54:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'l':
		goto yystate55
	}

yystate55:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == ')':
		goto yystate57
	case c == '\t' || c == ' ':
		goto yystate56
	case c == 'e':
		goto yystate58
	}

yystate56:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == ')':
		goto yystate57
	case c == '\t' || c == ' ':
		goto yystate56
	}

yystate57:
	c = l.Next()
	yyrule = 84
	l.Mark()
	goto yyrule84

yystate58:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'a':
		goto yystate59
	}

yystate59:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'n':
		goto yystate56
	}

yystate60:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'o':
		goto yystate61
	}

yystate61:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'u':
		goto yystate62
	}

yystate62:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'b':
		goto yystate63
	}

yystate63:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'l':
		goto yystate64
	}

yystate64:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'e':
		goto yystate65
	}

yystate65:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == ')':
		goto yystate66
	case c == '\t' || c == ' ':
		goto yystate65
	}

yystate66:
	c = l.Next()
	yyrule = 85
	l.Mark()
	goto yyrule85

yystate67:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'l':
		goto yystate68
	}

yystate68:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'o':
		goto yystate69
	}

yystate69:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'a':
		goto yystate70
	}

yystate70:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 't':
		goto yystate65
	}

yystate71:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'n':
		goto yystate72
	}

yystate72:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 't':
		goto yystate73
	}

yystate73:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == ')':
		goto yystate75
	case c == '\t' || c == ' ':
		goto yystate74
	case c == 'e':
		goto yystate76
	}

yystate74:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == ')':
		goto yystate75
	case c == '\t' || c == ' ':
		goto yystate74
	}

yystate75:
	c = l.Next()
	yyrule = 86
	l.Mark()
	goto yyrule86

yystate76:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'g':
		goto yystate77
	}

yystate77:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'e':
		goto yystate78
	}

yystate78:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'r':
		goto yystate74
	}

yystate79:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'b':
		goto yystate80
	}

yystate80:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'j':
		goto yystate81
	}

yystate81:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'e':
		goto yystate82
	}

yystate82:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'c':
		goto yystate83
	}

yystate83:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 't':
		goto yystate84
	}

yystate84:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == ')':
		goto yystate85
	case c == '\t' || c == ' ':
		goto yystate84
	}

yystate85:
	c = l.Next()
	yyrule = 87
	l.Mark()
	goto yyrule87

yystate86:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'e':
		goto yystate87
	}

yystate87:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'a':
		goto yystate88
	}

yystate88:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'l':
		goto yystate65
	}

yystate89:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 't':
		goto yystate90
	}

yystate90:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'r':
		goto yystate91
	}

yystate91:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'i':
		goto yystate92
	}

yystate92:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'n':
		goto yystate93
	}

yystate93:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'g':
		goto yystate94
	}

yystate94:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == ')':
		goto yystate95
	case c == '\t' || c == ' ':
		goto yystate94
	}

yystate95:
	c = l.Next()
	yyrule = 88
	l.Mark()
	goto yyrule88

yystate96:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'n':
		goto yystate97
	}

yystate97:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 's':
		goto yystate98
	}

yystate98:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'e':
		goto yystate99
	}

yystate99:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 't':
		goto yystate100
	}

yystate100:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == ')':
		goto yystate101
	case c == '\t' || c == ' ':
		goto yystate100
	}

yystate101:
	c = l.Next()
	yyrule = 89
	l.Mark()
	goto yyrule89

yystate102:
	c = l.Next()
	yyrule = 129
	l.Mark()
	goto yyrule129

yystate103:
	c = l.Next()
	yyrule = 129
	l.Mark()
	switch {
	default:
		goto yyrule129
	case c == '*':
		goto yystate104
	case c == '=':
		goto yystate106
	}

yystate104:
	c = l.Next()
	yyrule = 121
	l.Mark()
	switch {
	default:
		goto yyrule121
	case c == '=':
		goto yystate105
	}

yystate105:
	c = l.Next()
	yyrule = 103
	l.Mark()
	goto yyrule103

yystate106:
	c = l.Next()
	yyrule = 102
	l.Mark()
	goto yyrule102

yystate107:
	c = l.Next()
	yyrule = 129
	l.Mark()
	switch {
	default:
		goto yyrule129
	case c == '+':
		goto yystate108
	case c == '=':
		goto yystate109
	}

yystate108:
	c = l.Next()
	yyrule = 110
	l.Mark()
	goto yyrule110

yystate109:
	c = l.Next()
	yyrule = 105
	l.Mark()
	goto yyrule105

yystate110:
	c = l.Next()
	yyrule = 129
	l.Mark()
	switch {
	default:
		goto yyrule129
	case c == '-':
		goto yystate111
	case c == '=':
		goto yystate112
	case c == '>':
		goto yystate113
	}

yystate111:
	c = l.Next()
	yyrule = 109
	l.Mark()
	goto yyrule109

yystate112:
	c = l.Next()
	yyrule = 106
	l.Mark()
	goto yyrule106

yystate113:
	c = l.Next()
	yyrule = 134
	l.Mark()
	goto yyrule134

yystate114:
	c = l.Next()
	yyrule = 129
	l.Mark()
	switch {
	default:
		goto yyrule129
	case c == '.':
		goto yystate115
	case c == '=':
		goto yystate121
	case c >= '0' && c <= '9':
		goto yystate117
	}

yystate115:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '.':
		goto yystate116
	}

yystate116:
	c = l.Next()
	yyrule = 95
	l.Mark()
	goto yyrule95

yystate117:
	c = l.Next()
	yyrule = 8
	l.Mark()
	switch {
	default:
		goto yyrule8
	case c == 'E' || c == 'e':
		goto yystate118
	case c >= '0' && c <= '9':
		goto yystate117
	}

yystate118:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '+' || c == '-':
		goto yystate119
	case c >= '0' && c <= '9':
		goto yystate120
	}

yystate119:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c >= '0' && c <= '9':
		goto yystate120
	}

yystate120:
	c = l.Next()
	yyrule = 8
	l.Mark()
	switch {
	default:
		goto yyrule8
	case c >= '0' && c <= '9':
		goto yystate120
	}

yystate121:
	c = l.Next()
	yyrule = 101
	l.Mark()
	goto yyrule101

yystate122:
	c = l.Next()
	yyrule = 129
	l.Mark()
	switch {
	default:
		goto yyrule129
	case c == '*':
		goto yystate123
	case c == '/':
		goto yystate19
	case c == '=':
		goto yystate135
	}

yystate123:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '*':
		goto yystate127
	case c >= '\x01' && c <= ')' || c >= '+' && c <= 'ÿ':
		goto yystate124
	}

yystate124:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '*':
		goto yystate125
	case c >= '\x01' && c <= ')' || c >= '+' && c <= 'ÿ':
		goto yystate124
	}

yystate125:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '*':
		goto yystate125
	case c == '/':
		goto yystate126
	case c >= '\x01' && c <= ')' || c >= '+' && c <= '.' || c >= '0' && c <= 'ÿ':
		goto yystate124
	}

yystate126:
	c = l.Next()
	yyrule = 126
	l.Mark()
	goto yyrule126

yystate127:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '*':
		goto yystate129
	case c == '/':
		goto yystate131
	case c >= '\x01' && c <= ')' || c >= '+' && c <= '.' || c >= '0' && c <= 'ÿ':
		goto yystate128
	}

yystate128:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '*':
		goto yystate129
	case c >= '\x01' && c <= ')' || c >= '+' && c <= 'ÿ':
		goto yystate128
	}

yystate129:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '*':
		goto yystate129
	case c == '/':
		goto yystate130
	case c >= '\x01' && c <= ')' || c >= '+' && c <= '.' || c >= '0' && c <= 'ÿ':
		goto yystate128
	}

yystate130:
	c = l.Next()
	yyrule = 126
	l.Mark()
	goto yyrule126

yystate131:
	c = l.Next()
	yyrule = 126
	l.Mark()
	switch {
	default:
		goto yyrule126
	case c == '*':
		goto yystate133
	case c >= '\x01' && c <= ')' || c >= '+' && c <= 'ÿ':
		goto yystate132
	}

yystate132:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '*':
		goto yystate133
	case c >= '\x01' && c <= ')' || c >= '+' && c <= 'ÿ':
		goto yystate132
	}

yystate133:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '*':
		goto yystate133
	case c == '/':
		goto yystate134
	case c >= '\x01' && c <= ')' || c >= '+' && c <= '.' || c >= '0' && c <= 'ÿ':
		goto yystate132
	}

yystate134:
	c = l.Next()
	yyrule = 127
	l.Mark()
	goto yyrule127

yystate135:
	c = l.Next()
	yyrule = 104
	l.Mark()
	goto yyrule104

yystate136:
	c = l.Next()
	yyrule = 10
	l.Mark()
	switch {
	default:
		goto yyrule10
	case c == '.':
		goto yystate117
	case c == 'E' || c == 'e':
		goto yystate118
	case c == 'b':
		goto yystate138
	case c == 'x':
		goto yystate140
	case c >= '0' && c <= '9':
		goto yystate137
	}

yystate137:
	c = l.Next()
	yyrule = 10
	l.Mark()
	switch {
	default:
		goto yyrule10
	case c == '.':
		goto yystate117
	case c == 'E' || c == 'e':
		goto yystate118
	case c >= '0' && c <= '9':
		goto yystate137
	}

yystate138:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '0' || c == '1':
		goto yystate139
	}

yystate139:
	c = l.Next()
	yyrule = 9
	l.Mark()
	switch {
	default:
		goto yyrule9
	case c == '0' || c == '1':
		goto yystate139
	}

yystate140:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'F' || c >= 'a' && c <= 'f':
		goto yystate141
	}

yystate141:
	c = l.Next()
	yyrule = 11
	l.Mark()
	switch {
	default:
		goto yyrule11
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'F' || c >= 'a' && c <= 'f':
		goto yystate141
	}

yystate142:
	c = l.Next()
	yyrule = 129
	l.Mark()
	switch {
	default:
		goto yyrule129
	case c == ':':
		goto yystate143
	}

yystate143:
	c = l.Next()
	yyrule = 96
	l.Mark()
	goto yyrule96

yystate144:
	c = l.Next()
	yyrule = 129
	l.Mark()
	switch {
	default:
		goto yyrule129
	case c == '<':
		goto yystate145
	case c == '=':
		goto yystate156
	case c == '>':
		goto yystate158
	}

yystate145:
	c = l.Next()
	yyrule = 122
	l.Mark()
	switch {
	default:
		goto yyrule122
	case c == '<':
		goto yystate146
	case c == '=':
		goto yystate155
	}

yystate146:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '"':
		goto yystate147
	case c == '\'':
		goto yystate152
	case c == '\t' || c == ' ':
		goto yystate146
	case c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate154
	}

yystate147:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate148
	}

yystate148:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '"':
		goto yystate149
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate148
	}

yystate149:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '\n':
		goto yystate150
	case c == '\r':
		goto yystate151
	}

yystate150:
	c = l.Next()
	yyrule = 142
	l.Mark()
	goto yyrule142

yystate151:
	c = l.Next()
	yyrule = 142
	l.Mark()
	switch {
	default:
		goto yyrule142
	case c == '\n':
		goto yystate150
	}

yystate152:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate153
	}

yystate153:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '\'':
		goto yystate149
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate153
	}

yystate154:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '\n':
		goto yystate150
	case c == '\r':
		goto yystate151
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate154
	}

yystate155:
	c = l.Next()
	yyrule = 117
	l.Mark()
	goto yyrule117

yystate156:
	c = l.Next()
	yyrule = 120
	l.Mark()
	switch {
	default:
		goto yyrule120
	case c == '>':
		goto yystate157
	}

yystate157:
	c = l.Next()
	yyrule = 112
	l.Mark()
	goto yyrule112

yystate158:
	c = l.Next()
	yyrule = 113
	l.Mark()
	goto yyrule113

yystate159:
	c = l.Next()
	yyrule = 129
	l.Mark()
	switch {
	default:
		goto yyrule129
	case c == '=':
		goto yystate160
	case c == '>':
		goto yystate162
	}

yystate160:
	c = l.Next()
	yyrule = 115
	l.Mark()
	switch {
	default:
		goto yyrule115
	case c == '=':
		goto yystate161
	}

yystate161:
	c = l.Next()
	yyrule = 116
	l.Mark()
	goto yyrule116

yystate162:
	c = l.Next()
	yyrule = 111
	l.Mark()
	goto yyrule111

yystate163:
	c = l.Next()
	yyrule = 129
	l.Mark()
	switch {
	default:
		goto yyrule129
	case c == '=':
		goto yystate164
	case c == '>':
		goto yystate165
	}

yystate164:
	c = l.Next()
	yyrule = 119
	l.Mark()
	goto yyrule119

yystate165:
	c = l.Next()
	yyrule = 123
	l.Mark()
	switch {
	default:
		goto yyrule123
	case c == '=':
		goto yystate166
	}

yystate166:
	c = l.Next()
	yyrule = 118
	l.Mark()
	goto yyrule118

yystate167:
	c = l.Next()
	yyrule = 129
	l.Mark()
	switch {
	default:
		goto yyrule129
	case c == '>':
		goto yystate168
	case c == '?':
		goto yystate171
	}

yystate168:
	c = l.Next()
	yyrule = 7
	l.Mark()
	switch {
	default:
		goto yyrule7
	case c == '\n':
		goto yystate169
	case c == '\r':
		goto yystate170
	}

yystate169:
	c = l.Next()
	yyrule = 7
	l.Mark()
	goto yyrule7

yystate170:
	c = l.Next()
	yyrule = 7
	l.Mark()
	switch {
	default:
		goto yyrule7
	case c == '\n':
		goto yystate169
	}

yystate171:
	c = l.Next()
	yyrule = 124
	l.Mark()
	goto yyrule124

yystate172:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate173:
	c = l.Next()
	yyrule = 94
	l.Mark()
	goto yyrule94

yystate174:
	c = l.Next()
	yyrule = 129
	l.Mark()
	switch {
	default:
		goto yyrule129
	case c == '=':
		goto yystate175
	}

yystate175:
	c = l.Next()
	yyrule = 107
	l.Mark()
	goto yyrule107

yystate176:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == '_':
		goto yystate177
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate177:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'C':
		goto yystate178
	case c == 'D':
		goto yystate185
	case c == 'F':
		goto yystate190
	case c == 'L':
		goto yystate205
	case c == 'M':
		goto yystate211
	case c == 'N':
		goto yystate219
	case c == 'T':
		goto yystate230
	case c == 'h':
		goto yystate237
	case c >= '0' && c <= '9' || c == 'A' || c == 'B' || c == 'E' || c >= 'G' && c <= 'K' || c >= 'O' && c <= 'S' || c >= 'U' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'g' || c >= 'i' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate178:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'L':
		goto yystate179
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'K' || c >= 'M' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate179:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'A':
		goto yystate180
	case c >= '0' && c <= '9' || c >= 'B' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate180:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'S':
		goto yystate181
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'R' || c >= 'T' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate181:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'S':
		goto yystate182
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'R' || c >= 'T' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate182:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == '_':
		goto yystate183
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate183:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == '_':
		goto yystate184
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate184:
	c = l.Next()
	yyrule = 74
	l.Mark()
	switch {
	default:
		goto yyrule74
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate185:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'I':
		goto yystate186
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'H' || c >= 'J' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate186:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'R':
		goto yystate187
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Q' || c >= 'S' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate187:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == '_':
		goto yystate188
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate188:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == '_':
		goto yystate189
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate189:
	c = l.Next()
	yyrule = 75
	l.Mark()
	switch {
	default:
		goto yyrule75
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate190:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'I':
		goto yystate191
	case c == 'U':
		goto yystate196
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'H' || c >= 'J' && c <= 'T' || c >= 'V' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate191:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'L':
		goto yystate192
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'K' || c >= 'M' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate192:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'E':
		goto yystate193
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'D' || c >= 'F' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate193:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == '_':
		goto yystate194
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate194:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == '_':
		goto yystate195
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate195:
	c = l.Next()
	yyrule = 76
	l.Mark()
	switch {
	default:
		goto yyrule76
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate196:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'N':
		goto yystate197
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'M' || c >= 'O' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate197:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'C':
		goto yystate198
	case c >= '0' && c <= '9' || c == 'A' || c == 'B' || c >= 'D' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate198:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'T':
		goto yystate199
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'S' || c >= 'U' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate199:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'I':
		goto yystate200
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'H' || c >= 'J' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate200:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'O':
		goto yystate201
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'N' || c >= 'P' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate201:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'N':
		goto yystate202
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'M' || c >= 'O' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate202:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == '_':
		goto yystate203
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate203:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == '_':
		goto yystate204
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate204:
	c = l.Next()
	yyrule = 77
	l.Mark()
	switch {
	default:
		goto yyrule77
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate205:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'I':
		goto yystate206
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'H' || c >= 'J' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate206:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'N':
		goto yystate207
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'M' || c >= 'O' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate207:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'E':
		goto yystate208
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'D' || c >= 'F' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate208:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == '_':
		goto yystate209
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate209:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == '_':
		goto yystate210
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate210:
	c = l.Next()
	yyrule = 78
	l.Mark()
	switch {
	default:
		goto yyrule78
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate211:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'E':
		goto yystate212
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'D' || c >= 'F' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate212:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'T':
		goto yystate213
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'S' || c >= 'U' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate213:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'H':
		goto yystate214
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'G' || c >= 'I' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate214:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'O':
		goto yystate215
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'N' || c >= 'P' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate215:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'D':
		goto yystate216
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'C' || c >= 'E' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate216:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == '_':
		goto yystate217
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate217:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == '_':
		goto yystate218
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate218:
	c = l.Next()
	yyrule = 80
	l.Mark()
	switch {
	default:
		goto yyrule80
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate219:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'A':
		goto yystate220
	case c >= '0' && c <= '9' || c >= 'B' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate220:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'M':
		goto yystate221
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'L' || c >= 'N' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate221:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'E':
		goto yystate222
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'D' || c >= 'F' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate222:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'S':
		goto yystate223
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'R' || c >= 'T' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate223:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'P':
		goto yystate224
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'O' || c >= 'Q' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate224:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'A':
		goto yystate225
	case c >= '0' && c <= '9' || c >= 'B' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate225:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'C':
		goto yystate226
	case c >= '0' && c <= '9' || c == 'A' || c == 'B' || c >= 'D' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate226:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'E':
		goto yystate227
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'D' || c >= 'F' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate227:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == '_':
		goto yystate228
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate228:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == '_':
		goto yystate229
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate229:
	c = l.Next()
	yyrule = 79
	l.Mark()
	switch {
	default:
		goto yyrule79
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate230:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'R':
		goto yystate231
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Q' || c >= 'S' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate231:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'A':
		goto yystate232
	case c >= '0' && c <= '9' || c >= 'B' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate232:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'I':
		goto yystate233
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'H' || c >= 'J' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate233:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'T':
		goto yystate234
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'S' || c >= 'U' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate234:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == '_':
		goto yystate235
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate235:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == '_':
		goto yystate236
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate236:
	c = l.Next()
	yyrule = 81
	l.Mark()
	switch {
	default:
		goto yyrule81
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate237:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate238
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate238:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'l':
		goto yystate239
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'k' || c >= 'm' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate239:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate240
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate240:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == '_':
		goto yystate241
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate241:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'c':
		goto yystate242
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c == 'b' || c >= 'd' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate242:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'o':
		goto yystate243
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'n' || c >= 'p' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate243:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'm':
		goto yystate244
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'l' || c >= 'n' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate244:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'p':
		goto yystate245
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'o' || c >= 'q' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate245:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'i':
		goto yystate246
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'h' || c >= 'j' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate246:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'l':
		goto yystate247
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'k' || c >= 'm' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate247:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate248
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate248:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'r':
		goto yystate249
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'q' || c >= 's' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate249:
	c = l.Next()
	yyrule = 82
	l.Mark()
	switch {
	default:
		goto yyrule82
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate250:
	c = l.Next()
	yyrule = 140
	l.Mark()
	goto yyrule140

yystate251:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'b':
		goto yystate252
	case c == 'n':
		goto yystate259
	case c == 'r':
		goto yystate261
	case c == 's':
		goto yystate265
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c >= 'c' && c <= 'm' || c >= 'o' && c <= 'q' || c >= 't' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate252:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 's':
		goto yystate253
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'r' || c >= 't' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate253:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate254
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate254:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'r':
		goto yystate255
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'q' || c >= 's' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate255:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate256
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate256:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'c':
		goto yystate257
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c == 'b' || c >= 'd' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate257:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate258
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate258:
	c = l.Next()
	yyrule = 12
	l.Mark()
	switch {
	default:
		goto yyrule12
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate259:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'd':
		goto yystate260
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'c' || c >= 'e' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate260:
	c = l.Next()
	yyrule = 91
	l.Mark()
	switch {
	default:
		goto yyrule91
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate261:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'r':
		goto yystate262
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'q' || c >= 's' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate262:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate263
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate263:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'y':
		goto yystate264
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'x' || c == 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate264:
	c = l.Next()
	yyrule = 13
	l.Mark()
	switch {
	default:
		goto yyrule13
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate265:
	c = l.Next()
	yyrule = 14
	l.Mark()
	switch {
	default:
		goto yyrule14
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate266:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == '"':
		goto yystate18
	case c == '<':
		goto yystate267
	case c == 'r':
		goto yystate269
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'q' || c >= 's' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate267:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '<':
		goto yystate268
	}

yystate268:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '<':
		goto yystate146
	}

yystate269:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate270
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate270:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate271
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate271:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'k':
		goto yystate272
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'j' || c >= 'l' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate272:
	c = l.Next()
	yyrule = 15
	l.Mark()
	switch {
	default:
		goto yyrule15
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate273:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate274
	case c == 'f':
		goto yystate286
	case c == 'l':
		goto yystate294
	case c == 'o':
		goto yystate301
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'e' || c >= 'g' && c <= 'k' || c == 'm' || c == 'n' || c >= 'p' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate274:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'l':
		goto yystate275
	case c == 's':
		goto yystate281
	case c == 't':
		goto yystate283
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'k' || c >= 'm' && c <= 'r' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate275:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'l':
		goto yystate276
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'k' || c >= 'm' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate276:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate277
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate277:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'b':
		goto yystate278
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c >= 'c' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate278:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'l':
		goto yystate279
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'k' || c >= 'm' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate279:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate280
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate280:
	c = l.Next()
	yyrule = 16
	l.Mark()
	switch {
	default:
		goto yyrule16
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate281:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate282
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate282:
	c = l.Next()
	yyrule = 17
	l.Mark()
	switch {
	default:
		goto yyrule17
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate283:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'c':
		goto yystate284
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c == 'b' || c >= 'd' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate284:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'h':
		goto yystate285
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'g' || c >= 'i' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate285:
	c = l.Next()
	yyrule = 18
	l.Mark()
	switch {
	default:
		goto yyrule18
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate286:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'u':
		goto yystate287
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 't' || c >= 'v' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate287:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'n':
		goto yystate288
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'm' || c >= 'o' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate288:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'c':
		goto yystate289
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c == 'b' || c >= 'd' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate289:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate290
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate290:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'i':
		goto yystate291
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'h' || c >= 'j' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate291:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'o':
		goto yystate292
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'n' || c >= 'p' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate292:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'n':
		goto yystate293
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'm' || c >= 'o' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate293:
	c = l.Next()
	yyrule = 43
	l.Mark()
	switch {
	default:
		goto yyrule43
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate294:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate295
	case c == 'o':
		goto yystate298
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'n' || c >= 'p' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate295:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 's':
		goto yystate296
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'r' || c >= 't' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate296:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 's':
		goto yystate297
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'r' || c >= 't' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate297:
	c = l.Next()
	yyrule = 19
	l.Mark()
	switch {
	default:
		goto yyrule19
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate298:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'n':
		goto yystate299
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'm' || c >= 'o' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate299:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate300
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate300:
	c = l.Next()
	yyrule = 20
	l.Mark()
	switch {
	default:
		goto yyrule20
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate301:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'n':
		goto yystate302
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'm' || c >= 'o' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate302:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 's':
		goto yystate303
	case c == 't':
		goto yystate305
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'r' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate303:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate304
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate304:
	c = l.Next()
	yyrule = 21
	l.Mark()
	switch {
	default:
		goto yyrule21
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate305:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'i':
		goto yystate306
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'h' || c >= 'j' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate306:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'n':
		goto yystate307
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'm' || c >= 'o' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate307:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'u':
		goto yystate308
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 't' || c >= 'v' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate308:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate309
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate309:
	c = l.Next()
	yyrule = 22
	l.Mark()
	switch {
	default:
		goto yyrule22
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate310:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate311
	case c == 'i':
		goto yystate322
	case c == 'o':
		goto yystate324
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'h' || c >= 'j' && c <= 'n' || c >= 'p' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate311:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'c':
		goto yystate312
	case c == 'f':
		goto yystate317
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c == 'b' || c == 'd' || c == 'e' || c >= 'g' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate312:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'l':
		goto yystate313
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'k' || c >= 'm' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate313:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate314
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate314:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'r':
		goto yystate315
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'q' || c >= 's' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate315:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate316
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate316:
	c = l.Next()
	yyrule = 23
	l.Mark()
	switch {
	default:
		goto yyrule23
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate317:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate318
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate318:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'u':
		goto yystate319
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 't' || c >= 'v' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate319:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'l':
		goto yystate320
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'k' || c >= 'm' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate320:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate321
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate321:
	c = l.Next()
	yyrule = 24
	l.Mark()
	switch {
	default:
		goto yyrule24
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate322:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate323
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate323:
	c = l.Next()
	yyrule = 37
	l.Mark()
	switch {
	default:
		goto yyrule37
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate324:
	c = l.Next()
	yyrule = 25
	l.Mark()
	switch {
	default:
		goto yyrule25
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate325:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'c':
		goto yystate326
	case c == 'l':
		goto yystate329
	case c == 'm':
		goto yystate334
	case c == 'n':
		goto yystate338
	case c == 'v':
		goto yystate367
	case c == 'x':
		goto yystate370
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c == 'b' || c >= 'd' && c <= 'k' || c >= 'o' && c <= 'u' || c == 'w' || c == 'y' || c == 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate326:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'h':
		goto yystate327
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'g' || c >= 'i' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate327:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'o':
		goto yystate328
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'n' || c >= 'p' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate328:
	c = l.Next()
	yyrule = 26
	l.Mark()
	switch {
	default:
		goto yyrule26
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate329:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 's':
		goto yystate330
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'r' || c >= 't' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate330:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate331
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate331:
	c = l.Next()
	yyrule = 27
	l.Mark()
	switch {
	default:
		goto yyrule27
	case c == 'i':
		goto yystate332
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'h' || c >= 'j' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate332:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'f':
		goto yystate333
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'e' || c >= 'g' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate333:
	c = l.Next()
	yyrule = 28
	l.Mark()
	switch {
	default:
		goto yyrule28
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate334:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'p':
		goto yystate335
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'o' || c >= 'q' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate335:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate336
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate336:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'y':
		goto yystate337
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'x' || c == 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate337:
	c = l.Next()
	yyrule = 29
	l.Mark()
	switch {
	default:
		goto yyrule29
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate338:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'd':
		goto yystate339
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'c' || c >= 'e' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate339:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'd':
		goto yystate340
	case c == 'f':
		goto yystate347
	case c == 'i':
		goto yystate354
	case c == 's':
		goto yystate356
	case c == 'w':
		goto yystate362
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'c' || c == 'e' || c == 'g' || c == 'h' || c >= 'j' && c <= 'r' || c >= 't' && c <= 'v' || c >= 'x' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate340:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate341
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate341:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'c':
		goto yystate342
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c == 'b' || c >= 'd' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate342:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'l':
		goto yystate343
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'k' || c >= 'm' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate343:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate344
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate344:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'r':
		goto yystate345
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'q' || c >= 's' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate345:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate346
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate346:
	c = l.Next()
	yyrule = 30
	l.Mark()
	switch {
	default:
		goto yyrule30
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate347:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'o':
		goto yystate348
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'n' || c >= 'p' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate348:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'r':
		goto yystate349
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'q' || c >= 's' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate349:
	c = l.Next()
	yyrule = 31
	l.Mark()
	switch {
	default:
		goto yyrule31
	case c == 'e':
		goto yystate350
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate350:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate351
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate351:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'c':
		goto yystate352
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c == 'b' || c >= 'd' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate352:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'h':
		goto yystate353
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'g' || c >= 'i' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate353:
	c = l.Next()
	yyrule = 32
	l.Mark()
	switch {
	default:
		goto yyrule32
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate354:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'f':
		goto yystate355
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'e' || c >= 'g' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate355:
	c = l.Next()
	yyrule = 33
	l.Mark()
	switch {
	default:
		goto yyrule33
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate356:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'w':
		goto yystate357
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'v' || c >= 'x' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate357:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'i':
		goto yystate358
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'h' || c >= 'j' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate358:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate359
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate359:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'c':
		goto yystate360
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c == 'b' || c >= 'd' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate360:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'h':
		goto yystate361
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'g' || c >= 'i' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate361:
	c = l.Next()
	yyrule = 34
	l.Mark()
	switch {
	default:
		goto yyrule34
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate362:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'h':
		goto yystate363
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'g' || c >= 'i' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate363:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'i':
		goto yystate364
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'h' || c >= 'j' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate364:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'l':
		goto yystate365
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'k' || c >= 'm' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate365:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate366
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate366:
	c = l.Next()
	yyrule = 35
	l.Mark()
	switch {
	default:
		goto yyrule35
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate367:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate368
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate368:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'l':
		goto yystate369
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'k' || c >= 'm' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate369:
	c = l.Next()
	yyrule = 36
	l.Mark()
	switch {
	default:
		goto yyrule36
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate370:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'i':
		goto yystate371
	case c == 't':
		goto yystate372
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'h' || c >= 'j' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate371:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate323
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate372:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate373
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate373:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'n':
		goto yystate374
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'm' || c >= 'o' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate374:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'd':
		goto yystate375
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'c' || c >= 'e' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate375:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 's':
		goto yystate376
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'r' || c >= 't' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate376:
	c = l.Next()
	yyrule = 38
	l.Mark()
	switch {
	default:
		goto yyrule38
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate377:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'i':
		goto yystate378
	case c == 'o':
		goto yystate384
	case c == 'u':
		goto yystate287
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'h' || c >= 'j' && c <= 'n' || c >= 'p' && c <= 't' || c >= 'v' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate378:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'n':
		goto yystate379
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'm' || c >= 'o' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate379:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate380
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate380:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'l':
		goto yystate381
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'k' || c >= 'm' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate381:
	c = l.Next()
	yyrule = 39
	l.Mark()
	switch {
	default:
		goto yyrule39
	case c == 'l':
		goto yystate382
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'k' || c >= 'm' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate382:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'y':
		goto yystate383
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'x' || c == 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate383:
	c = l.Next()
	yyrule = 40
	l.Mark()
	switch {
	default:
		goto yyrule40
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate384:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'r':
		goto yystate385
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'q' || c >= 's' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate385:
	c = l.Next()
	yyrule = 41
	l.Mark()
	switch {
	default:
		goto yyrule41
	case c == 'e':
		goto yystate386
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate386:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate387
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate387:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'c':
		goto yystate388
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c == 'b' || c >= 'd' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate388:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'h':
		goto yystate389
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'g' || c >= 'i' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate389:
	c = l.Next()
	yyrule = 42
	l.Mark()
	switch {
	default:
		goto yyrule42
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate390:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'l':
		goto yystate391
	case c == 'o':
		goto yystate396
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'k' || c == 'm' || c == 'n' || c >= 'p' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate391:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'o':
		goto yystate392
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'n' || c >= 'p' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate392:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'b':
		goto yystate393
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c >= 'c' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate393:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate394
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate394:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'l':
		goto yystate395
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'k' || c >= 'm' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate395:
	c = l.Next()
	yyrule = 44
	l.Mark()
	switch {
	default:
		goto yyrule44
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate396:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate397
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate397:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'o':
		goto yystate398
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'n' || c >= 'p' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate398:
	c = l.Next()
	yyrule = 45
	l.Mark()
	switch {
	default:
		goto yyrule45
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate399:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'f':
		goto yystate400
	case c == 'm':
		goto yystate401
	case c == 'n':
		goto yystate410
	case c == 's':
		goto yystate441
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'e' || c >= 'g' && c <= 'l' || c >= 'o' && c <= 'r' || c >= 't' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate400:
	c = l.Next()
	yyrule = 46
	l.Mark()
	switch {
	default:
		goto yyrule46
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate401:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'p':
		goto yystate402
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'o' || c >= 'q' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate402:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'l':
		goto yystate403
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'k' || c >= 'm' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate403:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate404
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate404:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'm':
		goto yystate405
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'l' || c >= 'n' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate405:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate406
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate406:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'n':
		goto yystate407
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'm' || c >= 'o' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate407:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate408
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate408:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 's':
		goto yystate409
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'r' || c >= 't' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate409:
	c = l.Next()
	yyrule = 48
	l.Mark()
	switch {
	default:
		goto yyrule48
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate410:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'c':
		goto yystate411
	case c == 's':
		goto yystate421
	case c == 't':
		goto yystate434
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c == 'b' || c >= 'd' && c <= 'r' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate411:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'l':
		goto yystate412
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'k' || c >= 'm' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate412:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'u':
		goto yystate413
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 't' || c >= 'v' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate413:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'd':
		goto yystate414
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'c' || c >= 'e' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate414:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate415
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate415:
	c = l.Next()
	yyrule = 70
	l.Mark()
	switch {
	default:
		goto yyrule70
	case c == '_':
		goto yystate416
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate416:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'o':
		goto yystate417
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'n' || c >= 'p' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate417:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'n':
		goto yystate418
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'm' || c >= 'o' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate418:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'c':
		goto yystate419
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c == 'b' || c >= 'd' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate419:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate420
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate420:
	c = l.Next()
	yyrule = 71
	l.Mark()
	switch {
	default:
		goto yyrule71
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate421:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate422
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate422:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate423
	case c == 'e':
		goto yystate429
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate423:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'n':
		goto yystate424
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'm' || c >= 'o' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate424:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'c':
		goto yystate425
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c == 'b' || c >= 'd' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate425:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate426
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate426:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'o':
		goto yystate427
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'n' || c >= 'p' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate427:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'f':
		goto yystate428
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'e' || c >= 'g' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate428:
	c = l.Next()
	yyrule = 49
	l.Mark()
	switch {
	default:
		goto yyrule49
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate429:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate430
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate430:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'd':
		goto yystate431
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'c' || c >= 'e' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate431:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'o':
		goto yystate432
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'n' || c >= 'p' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate432:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'f':
		goto yystate433
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'e' || c >= 'g' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate433:
	c = l.Next()
	yyrule = 50
	l.Mark()
	switch {
	default:
		goto yyrule50
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate434:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate435
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate435:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'r':
		goto yystate436
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'q' || c >= 's' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate436:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'f':
		goto yystate437
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'e' || c >= 'g' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate437:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate438
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate438:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'c':
		goto yystate439
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c == 'b' || c >= 'd' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate439:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate440
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate440:
	c = l.Next()
	yyrule = 51
	l.Mark()
	switch {
	default:
		goto yyrule51
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate441:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 's':
		goto yystate442
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'r' || c >= 't' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate442:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate443
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate443:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate444
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate444:
	c = l.Next()
	yyrule = 47
	l.Mark()
	switch {
	default:
		goto yyrule47
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate445:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'i':
		goto yystate446
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'h' || c >= 'j' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate446:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 's':
		goto yystate447
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'r' || c >= 't' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate447:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate448
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate448:
	c = l.Next()
	yyrule = 52
	l.Mark()
	switch {
	default:
		goto yyrule52
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate449:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate450
	case c == 'e':
		goto yystate458
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate450:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'm':
		goto yystate451
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'l' || c >= 'n' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate451:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate452
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate452:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 's':
		goto yystate453
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'r' || c >= 't' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate453:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'p':
		goto yystate454
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'o' || c >= 'q' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate454:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate455
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate455:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'c':
		goto yystate456
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c == 'b' || c >= 'd' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate456:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate457
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate457:
	c = l.Next()
	yyrule = 53
	l.Mark()
	switch {
	default:
		goto yyrule53
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate458:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'w':
		goto yystate459
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'v' || c >= 'x' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate459:
	c = l.Next()
	yyrule = 90
	l.Mark()
	switch {
	default:
		goto yyrule90
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate460:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'r':
		goto yystate461
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'q' || c >= 's' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate461:
	c = l.Next()
	yyrule = 92
	l.Mark()
	switch {
	default:
		goto yyrule92
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate462:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'r':
		goto yystate463
	case c == 'u':
		goto yystate478
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'q' || c == 's' || c == 't' || c >= 'v' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate463:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'i':
		goto yystate464
	case c == 'o':
		goto yystate471
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'h' || c >= 'j' && c <= 'n' || c >= 'p' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate464:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'n':
		goto yystate465
	case c == 'v':
		goto yystate467
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'm' || c >= 'o' && c <= 'u' || c >= 'w' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate465:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate466
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate466:
	c = l.Next()
	yyrule = 56
	l.Mark()
	switch {
	default:
		goto yyrule56
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate467:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate468
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate468:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate469
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate469:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate470
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate470:
	c = l.Next()
	yyrule = 54
	l.Mark()
	switch {
	default:
		goto yyrule54
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate471:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate472
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate472:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate473
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate473:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'c':
		goto yystate474
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c == 'b' || c >= 'd' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate474:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate475
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate475:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate476
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate476:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'd':
		goto yystate477
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'c' || c >= 'e' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate477:
	c = l.Next()
	yyrule = 57
	l.Mark()
	switch {
	default:
		goto yyrule57
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate478:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'b':
		goto yystate479
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c >= 'c' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate479:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'l':
		goto yystate480
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'k' || c >= 'm' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate480:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'i':
		goto yystate481
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'h' || c >= 'j' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate481:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'c':
		goto yystate482
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c == 'b' || c >= 'd' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate482:
	c = l.Next()
	yyrule = 55
	l.Mark()
	switch {
	default:
		goto yyrule55
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate483:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate484
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate484:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'q':
		goto yystate485
	case c == 't':
		goto yystate495
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'p' || c == 'r' || c == 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate485:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'u':
		goto yystate486
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 't' || c >= 'v' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate486:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'i':
		goto yystate487
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'h' || c >= 'j' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate487:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'r':
		goto yystate488
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'q' || c >= 's' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate488:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate489
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate489:
	c = l.Next()
	yyrule = 72
	l.Mark()
	switch {
	default:
		goto yyrule72
	case c == '_':
		goto yystate490
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate490:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'o':
		goto yystate491
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'n' || c >= 'p' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate491:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'n':
		goto yystate492
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'm' || c >= 'o' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate492:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'c':
		goto yystate493
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c == 'b' || c >= 'd' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate493:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate494
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate494:
	c = l.Next()
	yyrule = 73
	l.Mark()
	switch {
	default:
		goto yyrule73
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate495:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'u':
		goto yystate496
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 't' || c >= 'v' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate496:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'r':
		goto yystate497
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'q' || c >= 's' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate497:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'n':
		goto yystate498
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'm' || c >= 'o' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate498:
	c = l.Next()
	yyrule = 58
	l.Mark()
	switch {
	default:
		goto yyrule58
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate499:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate500
	case c == 'w':
		goto yystate505
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c == 'u' || c == 'v' || c >= 'x' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate500:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate501
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate501:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate502
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate502:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'i':
		goto yystate503
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'h' || c >= 'j' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate503:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'c':
		goto yystate504
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c == 'b' || c >= 'd' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate504:
	c = l.Next()
	yyrule = 59
	l.Mark()
	switch {
	default:
		goto yyrule59
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate505:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'i':
		goto yystate506
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'h' || c >= 'j' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate506:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate507
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate507:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'c':
		goto yystate508
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c == 'a' || c == 'b' || c >= 'd' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate508:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'h':
		goto yystate509
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'g' || c >= 'i' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate509:
	c = l.Next()
	yyrule = 60
	l.Mark()
	switch {
	default:
		goto yyrule60
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate510:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'h':
		goto yystate511
	case c == 'r':
		goto yystate515
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'g' || c >= 'i' && c <= 'q' || c >= 's' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate511:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'r':
		goto yystate512
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'q' || c >= 's' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate512:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'o':
		goto yystate513
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'n' || c >= 'p' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate513:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'w':
		goto yystate514
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'v' || c >= 'x' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate514:
	c = l.Next()
	yyrule = 61
	l.Mark()
	switch {
	default:
		goto yyrule61
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate515:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate516
	case c == 'y':
		goto yystate519
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'x' || c == 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate516:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'i':
		goto yystate517
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'h' || c >= 'j' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate517:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate518
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate518:
	c = l.Next()
	yyrule = 62
	l.Mark()
	switch {
	default:
		goto yyrule62
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate519:
	c = l.Next()
	yyrule = 63
	l.Mark()
	switch {
	default:
		goto yyrule63
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate520:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'n':
		goto yystate521
	case c == 's':
		goto yystate525
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'm' || c >= 'o' && c <= 'r' || c >= 't' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate521:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 's':
		goto yystate522
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'r' || c >= 't' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate522:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate523
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate523:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 't':
		goto yystate524
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 's' || c >= 'u' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate524:
	c = l.Next()
	yyrule = 64
	l.Mark()
	switch {
	default:
		goto yyrule64
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate525:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate526
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate526:
	c = l.Next()
	yyrule = 65
	l.Mark()
	switch {
	default:
		goto yyrule65
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate527:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'a':
		goto yystate528
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'b' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate528:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'r':
		goto yystate529
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'q' || c >= 's' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate529:
	c = l.Next()
	yyrule = 66
	l.Mark()
	switch {
	default:
		goto yyrule66
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate530:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'h':
		goto yystate531
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'g' || c >= 'i' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate531:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'i':
		goto yystate532
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'h' || c >= 'j' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate532:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'l':
		goto yystate533
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'k' || c >= 'm' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate533:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate534
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate534:
	c = l.Next()
	yyrule = 67
	l.Mark()
	switch {
	default:
		goto yyrule67
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate535:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'o':
		goto yystate536
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'n' || c >= 'p' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate536:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'r':
		goto yystate537
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'q' || c >= 's' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate537:
	c = l.Next()
	yyrule = 93
	l.Mark()
	switch {
	default:
		goto yyrule93
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate538:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'i':
		goto yystate539
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'h' || c >= 'j' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate539:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'e':
		goto yystate540
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'd' || c >= 'f' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate540:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'l':
		goto yystate541
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'k' || c >= 'm' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate541:
	c = l.Next()
	yyrule = 133
	l.Mark()
	switch {
	default:
		goto yyrule133
	case c == 'd':
		goto yystate542
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'c' || c >= 'e' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate542:
	c = l.Next()
	yyrule = 69
	l.Mark()
	switch {
	default:
		goto yyrule69
	case c == '\t' || c == '\n' || c == '\r' || c == ' ':
		goto yystate543
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate172
	}

yystate543:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '\t' || c == '\n' || c == '\r' || c == ' ':
		goto yystate543
	case c == 'f':
		goto yystate544
	}

yystate544:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'r':
		goto yystate545
	}

yystate545:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'o':
		goto yystate546
	}

yystate546:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == 'm':
		goto yystate547
	}

yystate547:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c >= '\x01' && c <= '/' || c >= ':' && c <= '@' || c >= '[' && c <= '^' || c == '`' || c >= '{' && c <= '\u007f':
		goto yystate548
	}

yystate548:
	c = l.Next()
	yyrule = 68
	l.Mark()
	goto yyrule68

yystate549:
	c = l.Next()
	yyrule = 130
	l.Mark()
	goto yyrule130

yystate550:
	c = l.Next()
	yyrule = 129
	l.Mark()
	switch {
	default:
		goto yyrule129
	case c == '=':
		goto yystate551
	case c == '|':
		goto yystate552
	}

yystate551:
	c = l.Next()
	yyrule = 100
	l.Mark()
	goto yyrule100

yystate552:
	c = l.Next()
	yyrule = 98
	l.Mark()
	goto yyrule98

yystate553:
	c = l.Next()
	yyrule = 131
	l.Mark()
	goto yyrule131

	goto yystate554 // silence unused label error
yystate554:
	c = l.Next()
yystart554:
	switch {
	default:
		goto yyabort
	case c == '"':
		goto yystate556
	case c == '$':
		goto yystate557
	case c == '{':
		goto yystate559
	case c >= '\x01' && c <= '\t' || c >= '\v' && c <= '!' || c == '#' || c >= '%' && c <= 'z' || c >= '|' && c <= 'ÿ':
		goto yystate555
	}

yystate555:
	c = l.Next()
	yyrule = 150
	l.Mark()
	goto yyrule150

yystate556:
	c = l.Next()
	yyrule = 146
	l.Mark()
	goto yyrule146

yystate557:
	c = l.Next()
	yyrule = 149
	l.Mark()
	switch {
	default:
		goto yyrule149
	case c == '{':
		goto yystate558
	}

yystate558:
	c = l.Next()
	yyrule = 148
	l.Mark()
	goto yyrule148

yystate559:
	c = l.Next()
	yyrule = 150
	l.Mark()
	switch {
	default:
		goto yyrule150
	case c == '$':
		goto yystate560
	}

yystate560:
	c = l.Next()
	yyrule = 147
	l.Mark()
	goto yyrule147

	goto yystate561 // silence unused label error
yystate561:
	c = l.Next()
yystart561:
	switch {
	default:
		goto yyabort
	case c == '$':
		goto yystate563
	case c == '-':
		goto yystate565
	case c == '[':
		goto yystate570
	case c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate568
	case c >= '\x01' && c <= '#' || c >= '%' && c <= ',' || c >= '.' && c <= '@' || c >= '\\' && c <= '^' || c == '`' || c >= '{' && c <= '~':
		goto yystate562
	}

yystate562:
	c = l.Next()
	yyrule = 157
	l.Mark()
	goto yyrule157

yystate563:
	c = l.Next()
	yyrule = 157
	l.Mark()
	switch {
	default:
		goto yyrule157
	case c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate564
	}

yystate564:
	c = l.Next()
	yyrule = 153
	l.Mark()
	switch {
	default:
		goto yyrule153
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate564
	}

yystate565:
	c = l.Next()
	yyrule = 157
	l.Mark()
	switch {
	default:
		goto yyrule157
	case c == '>':
		goto yystate566
	}

yystate566:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate567
	}

yystate567:
	c = l.Next()
	yyrule = 154
	l.Mark()
	switch {
	default:
		goto yyrule154
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate567
	}

yystate568:
	c = l.Next()
	yyrule = 155
	l.Mark()
	switch {
	default:
		goto yyrule155
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate569
	}

yystate569:
	c = l.Next()
	yyrule = 155
	l.Mark()
	switch {
	default:
		goto yyrule155
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate569
	}

yystate570:
	c = l.Next()
	yyrule = 156
	l.Mark()
	goto yyrule156

	goto yystate571 // silence unused label error
yystate571:
	c = l.Next()
yystart571:
	switch {
	default:
		goto yyabort
	case c == '!' || c == '%' || c == '&' || c >= '(' && c <= '/' || c >= ':' && c <= '@' || c == '[' || c == '^' || c == '|' || c == '~':
		goto yystate575
	case c == '$':
		goto yystate576
	case c == '0':
		goto yystate578
	case c == '\n':
		goto yystate574
	case c == '\t' || c == '\r' || c == ' ' || c == '#' || c == '\'' || c == '\\':
		goto yystate573
	case c == ']':
		goto yystate587
	case c >= '1' && c <= '9':
		goto yystate584
	case c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate585
	case c >= '\x01' && c <= '\b' || c == '\v' || c == '\f' || c >= '\x0e' && c <= '\x1f' || c == '"' || c == '`' || c == '{' || c == '}':
		goto yystate572
	}

yystate572:
	c = l.Next()
	yyrule = 164
	l.Mark()
	goto yyrule164

yystate573:
	c = l.Next()
	yyrule = 162
	l.Mark()
	goto yyrule162

yystate574:
	c = l.Next()
	yyrule = 162
	l.Mark()
	goto yyrule162

yystate575:
	c = l.Next()
	yyrule = 163
	l.Mark()
	goto yyrule163

yystate576:
	c = l.Next()
	yyrule = 163
	l.Mark()
	switch {
	default:
		goto yyrule163
	case c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate577
	}

yystate577:
	c = l.Next()
	yyrule = 159
	l.Mark()
	switch {
	default:
		goto yyrule159
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate577
	}

yystate578:
	c = l.Next()
	yyrule = 158
	l.Mark()
	switch {
	default:
		goto yyrule158
	case c == 'b':
		goto yystate580
	case c == 'x':
		goto yystate582
	case c >= '0' && c <= '9':
		goto yystate579
	}

yystate579:
	c = l.Next()
	yyrule = 158
	l.Mark()
	switch {
	default:
		goto yyrule158
	case c >= '0' && c <= '9':
		goto yystate579
	}

yystate580:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '0' || c == '1':
		goto yystate581
	}

yystate581:
	c = l.Next()
	yyrule = 158
	l.Mark()
	switch {
	default:
		goto yyrule158
	case c == '0' || c == '1':
		goto yystate581
	}

yystate582:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'F' || c >= 'a' && c <= 'f':
		goto yystate583
	}

yystate583:
	c = l.Next()
	yyrule = 158
	l.Mark()
	switch {
	default:
		goto yyrule158
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'F' || c >= 'a' && c <= 'f':
		goto yystate583
	}

yystate584:
	c = l.Next()
	yyrule = 158
	l.Mark()
	switch {
	default:
		goto yyrule158
	case c >= '0' && c <= '9':
		goto yystate579
	}

yystate585:
	c = l.Next()
	yyrule = 160
	l.Mark()
	switch {
	default:
		goto yyrule160
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate586
	}

yystate586:
	c = l.Next()
	yyrule = 160
	l.Mark()
	switch {
	default:
		goto yyrule160
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate586
	}

yystate587:
	c = l.Next()
	yyrule = 161
	l.Mark()
	goto yyrule161

	goto yystate588 // silence unused label error
yystate588:
	c = l.Next()
yystart588:
	switch {
	default:
		goto yyabort
	case c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate590
	case c >= '\x01' && c <= '\t' || c >= '\v' && c <= '@' || c >= '[' && c <= '^' || c == '`' || c >= '{' && c <= '~':
		goto yystate589
	}

yystate589:
	c = l.Next()
	yyrule = 166
	l.Mark()
	goto yyrule166

yystate590:
	c = l.Next()
	yyrule = 166
	l.Mark()
	switch {
	default:
		goto yyrule166
	case c == '[' || c == '}':
		goto yystate592
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate591
	}

yystate591:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == '[' || c == '}':
		goto yystate592
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate591
	}

yystate592:
	c = l.Next()
	yyrule = 165
	l.Mark()
	goto yyrule165

	goto yystate593 // silence unused label error
yystate593:
	c = l.Next()
yystart593:
	switch {
	default:
		goto yyabort
	case c == '-':
		goto yystate597
	case c == '\n':
		goto yystate596
	case c == '\t' || c == '\r' || c == ' ':
		goto yystate595
	case c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate599
	case c >= '\x01' && c <= '\b' || c == '\v' || c == '\f' || c >= '\x0e' && c <= '\x1f' || c >= '!' && c <= ',' || c >= '.' && c <= '@' || c >= '[' && c <= '^' || c == '`' || c >= '{' && c <= '~':
		goto yystate594
	}

yystate594:
	c = l.Next()
	yyrule = 138
	l.Mark()
	goto yyrule138

yystate595:
	c = l.Next()
	yyrule = 135
	l.Mark()
	switch {
	default:
		goto yyrule135
	case c == '\t' || c == '\n' || c == '\r' || c == ' ':
		goto yystate596
	}

yystate596:
	c = l.Next()
	yyrule = 135
	l.Mark()
	switch {
	default:
		goto yyrule135
	case c == '\t' || c == '\n' || c == '\r' || c == ' ':
		goto yystate596
	}

yystate597:
	c = l.Next()
	yyrule = 138
	l.Mark()
	switch {
	default:
		goto yyrule138
	case c == '>':
		goto yystate598
	}

yystate598:
	c = l.Next()
	yyrule = 136
	l.Mark()
	goto yyrule136

yystate599:
	c = l.Next()
	yyrule = 137
	l.Mark()
	switch {
	default:
		goto yyrule137
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate600
	}

yystate600:
	c = l.Next()
	yyrule = 137
	l.Mark()
	switch {
	default:
		goto yyrule137
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate600
	}

	goto yystate601 // silence unused label error
yystate601:
	c = l.Next()
yystart601:
	switch {
	default:
		goto yyabort
	case c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate602
	}

yystate602:
	c = l.Next()
	switch {
	default:
		goto yyabort
	case c == ';':
		goto yystate603
	case c >= '0' && c <= '9' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ':
		goto yystate602
	}

yystate603:
	c = l.Next()
	yyrule = 144
	l.Mark()
	goto yyrule144

	goto yystate604 // silence unused label error
yystate604:
	c = l.Next()
yystart604:
	switch {
	default:
		goto yyabort
	case c >= '\x01' && c <= '\t' || c >= '\v' && c <= 'ÿ':
		goto yystate605
	}

yystate605:
	c = l.Next()
	yyrule = 143
	l.Mark()
	goto yyrule143

	goto yystate606 // silence unused label error
yystate606:
	c = l.Next()
yystart606:
	switch {
	default:
		goto yyabort
	case c == '$':
		goto yystate608
	case c == '{':
		goto yystate609
	case c >= '\x01' && c <= '#' || c >= '%' && c <= 'z' || c >= '|' && c <= 'ÿ':
		goto yystate607
	}

yystate607:
	c = l.Next()
	yyrule = 152
	l.Mark()
	goto yyrule152

yystate608:
	c = l.Next()
	yyrule = 149
	l.Mark()
	switch {
	default:
		goto yyrule149
	case c == '{':
		goto yystate558
	}

yystate609:
	c = l.Next()
	yyrule = 152
	l.Mark()
	switch {
	default:
		goto yyrule152
	case c == '$':
		goto yystate560
	}

	goto yystate610 // silence unused label error
yystate610:
	c = l.Next()
yystart610:
	switch {
	default:
		goto yyabort
	case c == '$':
		goto yystate612
	case c == '`':
		goto yystate613
	case c == '{':
		goto yystate614
	case c >= '\x01' && c <= '\t' || c >= '\v' && c <= '#' || c >= '%' && c <= '_' || c >= 'a' && c <= 'z' || c >= '|' && c <= 'ÿ':
		goto yystate611
	}

yystate611:
	c = l.Next()
	yyrule = 151
	l.Mark()
	goto yyrule151

yystate612:
	c = l.Next()
	yyrule = 149
	l.Mark()
	switch {
	default:
		goto yyrule149
	case c == '{':
		goto yystate558
	}

yystate613:
	c = l.Next()
	yyrule = 141
	l.Mark()
	goto yyrule141

yystate614:
	c = l.Next()
	yyrule = 151
	l.Mark()
	switch {
	default:
		goto yyrule151
	case c == '$':
		goto yystate560
	}

yyrule1: // [ \t\n\r]+

	goto yystate0
yyrule2: // .
	{

		tb := []byte{}
		for {
			if c == -1 {
				tb = l.TokenBytes(nil)
				break
			}
			if '?' == rune(c) {
				tb = l.TokenBytes(nil)
				if len(tb) < 2 || tb[len(tb)-1] != '<' {
					c = l.Next()
					continue
				}
				tb = l.ungetN(1)
				break
			}
			c = l.Next()
		}
		lval.token = string(tb)
		return T_INLINE_HTML
		goto yystate0
	}
yyrule3: // \<\?php([ \t]|{NEW_LINE})
	{
		begin(PHP) //lval.token = string(l.TokenBytes(nil)); return T_OPEN_TAG;
		goto yystate0
	}
yyrule4: // \<\?
	{
		begin(PHP) //lval.token = string(l.TokenBytes(nil)); return T_OPEN_TAG;
		goto yystate0
	}
yyrule5: // \<\?=
	{
		begin(PHP)
		lval.token = string(l.TokenBytes(nil))
		return T_OPEN_TAG_WITH_ECHO
		goto yystate0
	}
yyrule6: // [ \t\n\r]+
	{
		//lval.token = string(l.TokenBytes(nil)); return T_WHITESPACE
		goto yystate0
	}
yyrule7: // \?\>{NEW_LINE}?
	{
		begin(INITIAL) //lval.token = string(l.TokenBytes(nil)); return T_CLOSE_TAG;
		goto yystate0
	}
yyrule8: // {DNUM}|{EXPONENT_DNUM}
	{
		lval.token = string(l.TokenBytes(nil))
		return T_DNUMBER
		goto yystate0
	}
yyrule9: // {BNUM}
	{

		tb := l.TokenBytes(nil)
		i := 2
	BNUMFOR:
		for {
			switch tb[i] {
			case '0':
				i++
			default:
				break BNUMFOR
			}
		}
		if len(tb)-i < 64 {
			lval.token = string(l.TokenBytes(nil))
			return T_LNUMBER
		} else {
			lval.token = string(l.TokenBytes(nil))
			return T_DNUMBER
		}
		goto yystate0
	}
yyrule10: // {LNUM}
	{

		if len(l.TokenBytes(nil)) < 20 {
			lval.token = string(l.TokenBytes(nil))
			return T_LNUMBER
		} else {
			lval.token = string(l.TokenBytes(nil))
			return T_DNUMBER
		}
		goto yystate0
	}
yyrule11: // {HNUM}
	{

		tb := l.TokenBytes(nil)
		i := 2
	HNUMFOR:
		for {
			switch tb[i] {
			case '0':
				i++
			default:
				break HNUMFOR
			}
		}
		length := len(tb) - i
		if length < 16 || (length == 16 && tb[i] <= '7') {
			lval.token = string(l.TokenBytes(nil))
			return T_LNUMBER
		} else {
			lval.token = string(l.TokenBytes(nil))
			return T_DNUMBER
		}
		goto yystate0
	}
yyrule12: // abstract
	{
		lval.token = string(l.TokenBytes(nil))
		return T_ABSTRACT
		goto yystate0
	}
yyrule13: // array
	{
		lval.token = string(l.TokenBytes(nil))
		return T_ARRAY
		goto yystate0
	}
yyrule14: // as
	{
		lval.token = string(l.TokenBytes(nil))
		return T_AS
		goto yystate0
	}
yyrule15: // break
	{
		lval.token = string(l.TokenBytes(nil))
		return T_BREAK
		goto yystate0
	}
yyrule16: // callable
	{
		lval.token = string(l.TokenBytes(nil))
		return T_CALLABLE
		goto yystate0
	}
yyrule17: // case
	{
		lval.token = string(l.TokenBytes(nil))
		return T_CASE
		goto yystate0
	}
yyrule18: // catch
	{
		lval.token = string(l.TokenBytes(nil))
		return T_CATCH
		goto yystate0
	}
yyrule19: // class
	{
		lval.token = string(l.TokenBytes(nil))
		return T_CLASS
		goto yystate0
	}
yyrule20: // clone
	{
		lval.token = string(l.TokenBytes(nil))
		return T_CLONE
		goto yystate0
	}
yyrule21: // const
	{
		lval.token = string(l.TokenBytes(nil))
		return T_CONST
		goto yystate0
	}
yyrule22: // continue
	{
		lval.token = string(l.TokenBytes(nil))
		return T_CONTINUE
		goto yystate0
	}
yyrule23: // declare
	{
		lval.token = string(l.TokenBytes(nil))
		return T_DECLARE
		goto yystate0
	}
yyrule24: // default
	{
		lval.token = string(l.TokenBytes(nil))
		return T_DEFAULT
		goto yystate0
	}
yyrule25: // do
	{
		lval.token = string(l.TokenBytes(nil))
		return T_DO
		goto yystate0
	}
yyrule26: // echo
	{
		lval.token = string(l.TokenBytes(nil))
		return T_ECHO
		goto yystate0
	}
yyrule27: // else
	{
		lval.token = string(l.TokenBytes(nil))
		return T_ELSE
		goto yystate0
	}
yyrule28: // elseif
	{
		lval.token = string(l.TokenBytes(nil))
		return T_ELSEIF
		goto yystate0
	}
yyrule29: // empty
	{
		lval.token = string(l.TokenBytes(nil))
		return T_EMPTY
		goto yystate0
	}
yyrule30: // enddeclare
	{
		lval.token = string(l.TokenBytes(nil))
		return T_ENDDECLARE
		goto yystate0
	}
yyrule31: // endfor
	{
		lval.token = string(l.TokenBytes(nil))
		return T_ENDFOR
		goto yystate0
	}
yyrule32: // endforeach
	{
		lval.token = string(l.TokenBytes(nil))
		return T_ENDFOREACH
		goto yystate0
	}
yyrule33: // endif
	{
		lval.token = string(l.TokenBytes(nil))
		return T_ENDIF
		goto yystate0
	}
yyrule34: // endswitch
	{
		lval.token = string(l.TokenBytes(nil))
		return T_ENDSWITCH
		goto yystate0
	}
yyrule35: // endwhile
	{
		lval.token = string(l.TokenBytes(nil))
		return T_ENDWHILE
		goto yystate0
	}
yyrule36: // eval
	{
		lval.token = string(l.TokenBytes(nil))
		return T_EVAL
		goto yystate0
	}
yyrule37: // exit|die
	{
		lval.token = string(l.TokenBytes(nil))
		return T_EXIT
		goto yystate0
	}
yyrule38: // extends
	{
		lval.token = string(l.TokenBytes(nil))
		return T_EXTENDS
		goto yystate0
	}
yyrule39: // final
	{
		lval.token = string(l.TokenBytes(nil))
		return T_FINAL
		goto yystate0
	}
yyrule40: // finally
	{
		lval.token = string(l.TokenBytes(nil))
		return T_FINALLY
		goto yystate0
	}
yyrule41: // for
	{
		lval.token = string(l.TokenBytes(nil))
		return T_FOR
		goto yystate0
	}
yyrule42: // foreach
	{
		lval.token = string(l.TokenBytes(nil))
		return T_FOREACH
		goto yystate0
	}
yyrule43: // function|cfunction
	{
		lval.token = string(l.TokenBytes(nil))
		return T_FUNCTION
		goto yystate0
	}
yyrule44: // global
	{
		lval.token = string(l.TokenBytes(nil))
		return T_GLOBAL
		goto yystate0
	}
yyrule45: // goto
	{
		lval.token = string(l.TokenBytes(nil))
		return T_GOTO
		goto yystate0
	}
yyrule46: // if
	{
		lval.token = string(l.TokenBytes(nil))
		return T_IF
		goto yystate0
	}
yyrule47: // isset
	{
		lval.token = string(l.TokenBytes(nil))
		return T_ISSET
		goto yystate0
	}
yyrule48: // implements
	{
		lval.token = string(l.TokenBytes(nil))
		return T_IMPLEMENTS
		goto yystate0
	}
yyrule49: // instanceof
	{
		lval.token = string(l.TokenBytes(nil))
		return T_INSTANCEOF
		goto yystate0
	}
yyrule50: // insteadof
	{
		lval.token = string(l.TokenBytes(nil))
		return T_INSTEADOF
		goto yystate0
	}
yyrule51: // interface
	{
		lval.token = string(l.TokenBytes(nil))
		return T_INTERFACE
		goto yystate0
	}
yyrule52: // list
	{
		lval.token = string(l.TokenBytes(nil))
		return T_LIST
		goto yystate0
	}
yyrule53: // namespace
	{
		lval.token = string(l.TokenBytes(nil))
		return T_NAMESPACE
		goto yystate0
	}
yyrule54: // private
	{
		lval.token = string(l.TokenBytes(nil))
		return T_PRIVATE
		goto yystate0
	}
yyrule55: // public
	{
		lval.token = string(l.TokenBytes(nil))
		return T_PUBLIC
		goto yystate0
	}
yyrule56: // print
	{
		lval.token = string(l.TokenBytes(nil))
		return T_PRINT
		goto yystate0
	}
yyrule57: // protected
	{
		lval.token = string(l.TokenBytes(nil))
		return T_PROTECTED
		goto yystate0
	}
yyrule58: // return
	{
		lval.token = string(l.TokenBytes(nil))
		return T_RETURN
		goto yystate0
	}
yyrule59: // static
	{
		lval.token = string(l.TokenBytes(nil))
		return T_STATIC
		goto yystate0
	}
yyrule60: // switch
	{
		lval.token = string(l.TokenBytes(nil))
		return T_SWITCH
		goto yystate0
	}
yyrule61: // throw
	{
		lval.token = string(l.TokenBytes(nil))
		return T_THROW
		goto yystate0
	}
yyrule62: // trait
	{
		lval.token = string(l.TokenBytes(nil))
		return T_TRAIT
		goto yystate0
	}
yyrule63: // try
	{
		lval.token = string(l.TokenBytes(nil))
		return T_TRY
		goto yystate0
	}
yyrule64: // unset
	{
		lval.token = string(l.TokenBytes(nil))
		return T_UNSET
		goto yystate0
	}
yyrule65: // use
	{
		lval.token = string(l.TokenBytes(nil))
		return T_USE
		goto yystate0
	}
yyrule66: // var
	{
		lval.token = string(l.TokenBytes(nil))
		return T_VAR
		goto yystate0
	}
yyrule67: // while
	{
		lval.token = string(l.TokenBytes(nil))
		return T_WHILE
		goto yystate0
	}
yyrule68: // yield[ \t\n\r]+from[^a-zA-Z0-9_\x80-\xff]
	{
		lval.token = string(l.TokenBytes(nil))
		return T_YIELD_FROM
		goto yystate0
	}
yyrule69: // yield
	{
		lval.token = string(l.TokenBytes(nil))
		return T_YIELD
		goto yystate0
	}
yyrule70: // include
	{
		lval.token = string(l.TokenBytes(nil))
		return T_INCLUDE
		goto yystate0
	}
yyrule71: // include_once
	{
		lval.token = string(l.TokenBytes(nil))
		return T_INCLUDE_ONCE
		goto yystate0
	}
yyrule72: // require
	{
		lval.token = string(l.TokenBytes(nil))
		return T_REQUIRE
		goto yystate0
	}
yyrule73: // require_once
	{
		lval.token = string(l.TokenBytes(nil))
		return T_REQUIRE_ONCE
		goto yystate0
	}
yyrule74: // __CLASS__
	{
		lval.token = string(l.TokenBytes(nil))
		return T_CLASS_C
		goto yystate0
	}
yyrule75: // __DIR__
	{
		lval.token = string(l.TokenBytes(nil))
		return T_DIR
		goto yystate0
	}
yyrule76: // __FILE__
	{
		lval.token = string(l.TokenBytes(nil))
		return T_FILE
		goto yystate0
	}
yyrule77: // __FUNCTION__
	{
		lval.token = string(l.TokenBytes(nil))
		return T_FUNC_C
		goto yystate0
	}
yyrule78: // __LINE__
	{
		lval.token = string(l.TokenBytes(nil))
		return T_LINE
		goto yystate0
	}
yyrule79: // __NAMESPACE__
	{
		lval.token = string(l.TokenBytes(nil))
		return T_NS_C
		goto yystate0
	}
yyrule80: // __METHOD__
	{
		lval.token = string(l.TokenBytes(nil))
		return T_METHOD_C
		goto yystate0
	}
yyrule81: // __TRAIT__
	{
		lval.token = string(l.TokenBytes(nil))
		return T_TRAIT_C
		goto yystate0
	}
yyrule82: // __halt_compiler
	{
		lval.token = string(l.TokenBytes(nil))
		return T_HALT_COMPILER
		goto yystate0
	}
yyrule83: // \([ \t]*array[ \t]*\)
	{
		lval.token = string(l.TokenBytes(nil))
		return T_ARRAY_CAST
		goto yystate0
	}
yyrule84: // \([ \t]*(bool|boolean)[ \t]*\)
	{
		lval.token = string(l.TokenBytes(nil))
		return T_BOOL_CAST
		goto yystate0
	}
yyrule85: // \([ \t]*(real|double|float)[ \t]*\)
	{
		lval.token = string(l.TokenBytes(nil))
		return T_DOUBLE_CAST
		goto yystate0
	}
yyrule86: // \([ \t]*(int|integer)[ \t]*\)
	{
		lval.token = string(l.TokenBytes(nil))
		return T_INT_CAST
		goto yystate0
	}
yyrule87: // \([ \t]*object[ \t]*\)
	{
		lval.token = string(l.TokenBytes(nil))
		return T_OBJECT_CAST
		goto yystate0
	}
yyrule88: // \([ \t]*string[ \t]*\)
	{
		lval.token = string(l.TokenBytes(nil))
		return T_STRING_CAST
		goto yystate0
	}
yyrule89: // \([ \t]*unset[ \t]*\)
	{
		lval.token = string(l.TokenBytes(nil))
		return T_UNSET_CAST
		goto yystate0
	}
yyrule90: // new
	{
		lval.token = string(l.TokenBytes(nil))
		return T_NEW
		goto yystate0
	}
yyrule91: // and
	{
		lval.token = string(l.TokenBytes(nil))
		return T_LOGICAL_AND
		goto yystate0
	}
yyrule92: // or
	{
		lval.token = string(l.TokenBytes(nil))
		return T_LOGICAL_OR
		goto yystate0
	}
yyrule93: // xor
	{
		lval.token = string(l.TokenBytes(nil))
		return T_LOGICAL_XOR
		goto yystate0
	}
yyrule94: // \\
	{
		lval.token = string(l.TokenBytes(nil))
		return T_NS_SEPARATOR
		goto yystate0
	}
yyrule95: // \.\.\.
	{
		lval.token = string(l.TokenBytes(nil))
		return T_ELLIPSIS
		goto yystate0
	}
yyrule96: // ::
	{
		lval.token = string(l.TokenBytes(nil))
		return T_PAAMAYIM_NEKUDOTAYIM // T_DOUBLE_COLON
		goto yystate0
	}
yyrule97: // &&
	{
		lval.token = string(l.TokenBytes(nil))
		return T_BOOLEAN_AND
		goto yystate0
	}
yyrule98: // \|\|
	{
		lval.token = string(l.TokenBytes(nil))
		return T_BOOLEAN_OR
		goto yystate0
	}
yyrule99: // &=
	{
		lval.token = string(l.TokenBytes(nil))
		return T_AND_EQUAL
		goto yystate0
	}
yyrule100: // \|=
	{
		lval.token = string(l.TokenBytes(nil))
		return T_OR_EQUAL
		goto yystate0
	}
yyrule101: // \.=
	{
		lval.token = string(l.TokenBytes(nil))
		return T_CONCAT_EQUAL
		goto yystate0
	}
yyrule102: // \*=
	{
		lval.token = string(l.TokenBytes(nil))
		return T_MUL_EQUAL
		goto yystate0
	}
yyrule103: // \*\*=
	{
		lval.token = string(l.TokenBytes(nil))
		return T_POW_EQUAL
		goto yystate0
	}
yyrule104: // [/]=
	{
		lval.token = string(l.TokenBytes(nil))
		return T_DIV_EQUAL
		goto yystate0
	}
yyrule105: // \+=
	{
		lval.token = string(l.TokenBytes(nil))
		return T_PLUS_EQUAL
		goto yystate0
	}
yyrule106: // -=
	{
		lval.token = string(l.TokenBytes(nil))
		return T_MINUS_EQUAL
		goto yystate0
	}
yyrule107: // \^=
	{
		lval.token = string(l.TokenBytes(nil))
		return T_XOR_EQUAL
		goto yystate0
	}
yyrule108: // %=
	{
		lval.token = string(l.TokenBytes(nil))
		return T_MOD_EQUAL
		goto yystate0
	}
yyrule109: // --
	{
		lval.token = string(l.TokenBytes(nil))
		return T_DEC
		goto yystate0
	}
yyrule110: // \+\+
	{
		lval.token = string(l.TokenBytes(nil))
		return T_INC
		goto yystate0
	}
yyrule111: // =>
	{
		lval.token = string(l.TokenBytes(nil))
		return T_DOUBLE_ARROW
		goto yystate0
	}
yyrule112: // \<=\>
	{
		lval.token = string(l.TokenBytes(nil))
		return T_SPACESHIP
		goto yystate0
	}
yyrule113: // \!=|\<\>
	{
		lval.token = string(l.TokenBytes(nil))
		return T_IS_NOT_EQUAL
		goto yystate0
	}
yyrule114: // \!==
	{
		lval.token = string(l.TokenBytes(nil))
		return T_IS_NOT_IDENTICAL
		goto yystate0
	}
yyrule115: // ==
	{
		lval.token = string(l.TokenBytes(nil))
		return T_IS_EQUAL
		goto yystate0
	}
yyrule116: // ===
	{
		lval.token = string(l.TokenBytes(nil))
		return T_IS_IDENTICAL
		goto yystate0
	}
yyrule117: // \<\<=
	{
		lval.token = string(l.TokenBytes(nil))
		return T_SL_EQUAL
		goto yystate0
	}
yyrule118: // \>\>=
	{
		lval.token = string(l.TokenBytes(nil))
		return T_SR_EQUAL
		goto yystate0
	}
yyrule119: // \>=
	{
		lval.token = string(l.TokenBytes(nil))
		return T_IS_GREATER_OR_EQUAL
		goto yystate0
	}
yyrule120: // \<=
	{
		lval.token = string(l.TokenBytes(nil))
		return T_IS_SMALLER_OR_EQUAL
		goto yystate0
	}
yyrule121: // \*\*
	{
		lval.token = string(l.TokenBytes(nil))
		return T_POW
		goto yystate0
	}
yyrule122: // \<\<
	{
		lval.token = string(l.TokenBytes(nil))
		return T_SL
		goto yystate0
	}
yyrule123: // \>\>
	{
		lval.token = string(l.TokenBytes(nil))
		return T_SR
		goto yystate0
	}
yyrule124: // \?\?
	{
		lval.token = string(l.TokenBytes(nil))
		return T_COALESCE
		goto yystate0
	}
yyrule125: // (#|[/][/]){NEW_LINE}
	{
		lval.token = string(l.TokenBytes(nil))
		return T_COMMENT // TODO: handle ?>
		goto yystate0
	}
yyrule126: // [/][*][^*]*[*]+([^*/][^*]*[*]+)*[/]
	{
		lval.token = string(l.TokenBytes(nil))
		return T_COMMENT // TODO: handle ?>
		goto yystate0
	}
yyrule127: // [/][*][*][^*]*[*]+([^*/][^*]*[*]+)*[/]
	{
		lval.token = string(l.TokenBytes(nil))
		return T_DOC_COMMENT // TODO: handle ?>
		goto yystate0
	}
yyrule128: // '[^']*(\\')*'
	{
		lval.token = string(l.TokenBytes(nil))
		return T_CONSTANT_ENCAPSED_STRING
		goto yystate0
	}
yyrule129: // {OPERATORS}
	{
		lval.token = string(l.TokenBytes(nil))
		return rune2Class(rune(l.TokenBytes(nil)[0]))
		goto yystate0
	}
yyrule130: // \{
	{
		pushState(PHP)
		lval.token = string(l.TokenBytes(nil))
		return rune2Class(rune(l.TokenBytes(nil)[0]))
		goto yystate0
	}
yyrule131: // \}
	{
		popState()
		lval.token = string(l.TokenBytes(nil))
		return rune2Class(rune(l.TokenBytes(nil)[0]))
		goto yystate0
	}
yyrule132: // \${VAR_NAME}
	{
		lval.token = string(l.TokenBytes(nil))
		return T_VARIABLE
		goto yystate0
	}
yyrule133: // {VAR_NAME}
	{
		lval.token = string(l.TokenBytes(nil))
		return T_STRING
		goto yystate0
	}
yyrule134: // ->
	{
		begin(PROPERTY)
		lval.token = string(l.TokenBytes(nil))
		return T_OBJECT_OPERATOR
		goto yystate0
	}
yyrule135: // [ \t\n\r]+
	{
		lval.token = string(l.TokenBytes(nil))
		return T_WHITESPACE
		goto yystate0
	}
yyrule136: // ->
	{
		lval.token = string(l.TokenBytes(nil))
		return T_OBJECT_OPERATOR
		goto yystate0
	}
yyrule137: // {VAR_NAME}
	{
		begin(PHP)
		lval.token = string(l.TokenBytes(nil))
		return T_STRING
		goto yystate0
	}
yyrule138: // .
	{
		l.ungetN(1)
		begin(PHP)
		goto yystate0
	}
yyrule139: // [\']([^\\\']*([\\][\'])*)*[\']
	{
		lval.token = string(l.TokenBytes(nil))
		return T_CONSTANT_ENCAPSED_STRING
		goto yystate0
	}
yyrule140: // `
	{
		begin(BACKQUOTE)
		lval.token = string(l.TokenBytes(nil))
		rune2Class(rune(l.TokenBytes(nil)[0]))
		goto yystate0
	}
yyrule141: // `
	{
		begin(PHP)
		lval.token = string(l.TokenBytes(nil))
		rune2Class(rune(l.TokenBytes(nil)[0]))
		goto yystate0
	}
yyrule142: // [b]?\<\<\<[ \t]*({VAR_NAME}|([']{VAR_NAME}['])|(["]{VAR_NAME}["])){NEW_LINE}
	{

		tb := l.TokenBytes(nil)
		binPrefix := 0
		if tb[0] == 'b' {
			binPrefix = 1
		}

		lblFirst := 3 + binPrefix
		lblLast := len(tb) - 2
		if tb[lblLast] == '\r' {
			lblLast--
		}
		for {
			if tb[lblFirst] == ' ' || tb[lblFirst] == '\t' {
				lblFirst++
				continue
			}
			break
		}
		switch tb[lblFirst] {
		case '\'':
			lblFirst++
			lblLast--
			begin(NOWDOC)
		case '"':
			lblFirst++
			lblLast--
			begin(HEREDOC)
		default:
			begin(HEREDOC)
		}
		heredocLabel = make([]byte, lblLast-lblFirst+1)
		copy(heredocLabel, tb[lblFirst:lblLast+1])

		ungetCnt := len(heredocLabel)
		searchLabelAhead := []byte{}
		for i := 0; i < len(heredocLabel); i++ {
			if c == -1 {
				break
			}
			searchLabelAhead = append(searchLabelAhead, byte(rune(c)))
			c = l.Next()
		}
		if bytes.Equal(heredocLabel, searchLabelAhead) && ';' == rune(c) {
			ungetCnt++
			c = l.Next()
			if '\n' == rune(c) || '\r' == rune(c) {
				begin(HEREDOC_END)
			}
		}
		l.ungetN(ungetCnt)
		lval.token = string(tb)
		return T_START_HEREDOC
		goto yystate0
	}
yyrule143: // .
	{

		searchLabel := []byte{}
		tb := []byte{}

		for {
			if c == -1 {
				break
			}
			if '\n' == rune(c) || '\r' == rune(c) {
				if bytes.Equal(append(heredocLabel, ';'), searchLabel) {
					begin(HEREDOC_END)
					tb = l.ungetN(len(heredocLabel) + 1)
					break
				}

				searchLabel = []byte{}
			} else {
				searchLabel = append(searchLabel, byte(rune(c)))
			}
			c = l.Next()
		}
		lval.token = string(tb)
		return T_ENCAPSED_AND_WHITESPACE
		goto yystate0
	}
yyrule144: // {VAR_NAME}\;
	{
		begin(PHP)
		lval.token = string(l.ungetN(1))
		return T_END_HEREDOC
		goto yystate0
	}
yyrule145: // [b]?[\"]
	{

		binPrefix := l.TokenBytes(nil)[0] == 'b'
		beginString := func() int {
			cnt := 1
			if binPrefix {
				cnt = 2
			}

			l.ungetN(len(l.TokenBytes(nil)) - cnt)
			tokenBytes := l.TokenBytes(nil)[:cnt]
			pushState(STRING)
			lval.token = string(tokenBytes)
			return rune2Class('"')
		}
	F:
		for {
			if c == -1 {
				break
			}
			switch c {
			case '"':
				c = l.Next()
				lval.token = string(l.TokenBytes(nil))
				return T_CONSTANT_ENCAPSED_STRING
				break F

			case '$':
				c = l.Next()
				if rune(c) == '{' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ' {
					return beginString()
					break F
				}
				l.ungetN(0)

			case '{':
				c = l.Next()
				if rune(c) == '$' {
					return beginString()
					break F
				}
				l.ungetN(0)
			case '\\':
				c = l.Next()
			}
			c = l.Next()
		}
		goto yystate0
	}
yyrule146: // \"
	{
		popState()
		lval.token = "\""
		return rune2Class(rune(l.TokenBytes(nil)[0]))
		goto yystate0
	}
yyrule147: // \{\$
	{
		lval.token = string(l.ungetN(1))
		pushState(PHP)
		return T_CURLY_OPEN
		goto yystate0
	}
yyrule148: // \$\{
	{
		pushState(STRING_VAR_NAME)
		lval.token = string(l.TokenBytes(nil))
		return T_DOLLAR_OPEN_CURLY_BRACES
		goto yystate0
	}
yyrule149: // \$
	{
		l.ungetN(1)
		pushState(STRING_VAR)
		goto yystate0
	}
yyrule150: // .
	{

	F1:
		for {
			if c == -1 {
				break
			}
			switch c {
			case '"':
				lval.token = string(l.TokenBytes(nil))
				return T_ENCAPSED_AND_WHITESPACE
				break F1

			case '$':
				c = l.Next()
				if rune(c) == '{' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ' {
					l.ungetN(1)
					tb := l.TokenBytes(nil)
					lval.token = string(tb[:len(tb)-1])
					return T_ENCAPSED_AND_WHITESPACE
					break F1
				}
				l.ungetN(0)

			case '{':
				c = l.Next()
				if rune(c) == '$' {
					l.ungetN(1)
					tb := l.TokenBytes(nil)
					lval.token = string(tb[:len(tb)-1])
					return T_ENCAPSED_AND_WHITESPACE
					break F1
				}
				l.ungetN(0)
			case '\\':
				c = l.Next()
			}
			c = l.Next()
		}
		goto yystate0
	}
yyrule151: // .
	{

	F2:
		for {
			if c == -1 {
				break
			}
			switch c {
			case '`':
				lval.token = string(l.TokenBytes(nil))
				return T_ENCAPSED_AND_WHITESPACE
				break F2

			case '$':
				c = l.Next()
				if rune(c) == '{' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ' {
					l.ungetN(1)
					tb := l.TokenBytes(nil)
					lval.token = string(tb[:len(tb)-1])
					return T_ENCAPSED_AND_WHITESPACE
					break F2
				}
				l.ungetN(0)

			case '{':
				c = l.Next()
				if rune(c) == '$' {
					l.ungetN(1)
					tb := l.TokenBytes(nil)
					lval.token = string(tb[:len(tb)-1])
					return T_ENCAPSED_AND_WHITESPACE
					break F2
				}
				l.ungetN(0)
			case '\\':
				c = l.Next()
			}
			c = l.Next()
		}
		goto yystate0
	}
yyrule152: // .|[ \t\n\r]
	{

		searchLabel := []byte{}
		tb := []byte{}

	HEREDOCFOR:
		for {
			if c == -1 {
				break
			}
			switch c {
			case '\n':
				fallthrough
			case '\r':
				if bytes.Equal(append(heredocLabel, ';'), searchLabel) { // TODO handle ';' as optional
					begin(HEREDOC_END)
					tb = l.ungetN(len(heredocLabel) + 1)
					break HEREDOCFOR
				}

				searchLabel = []byte{}

			case '$':
				c = l.Next()
				if rune(c) == '{' || c >= 'A' && c <= 'Z' || c == '_' || c >= 'a' && c <= 'z' || c >= '\u007f' && c <= 'ÿ' {
					tb = l.ungetN(1)
					break HEREDOCFOR
				}
				l.ungetN(0)
				searchLabel = []byte{}

			case '{':
				c = l.Next()
				if rune(c) == '$' {
					tb = l.ungetN(1)
					break HEREDOCFOR
				}
				l.ungetN(0)
				searchLabel = []byte{}
			case '\\':
				c = l.Next()
				searchLabel = []byte{}

			default:
				searchLabel = append(searchLabel, byte(rune(c)))
			}
			c = l.Next()
		}

		lval.token = string(tb)
		return T_ENCAPSED_AND_WHITESPACE
		goto yystate0
	}
yyrule153: // \${VAR_NAME}
	{
		lval.token = string(l.TokenBytes(nil))
		return T_VARIABLE
		goto yystate0
	}
yyrule154: // ->{VAR_NAME}
	{
		lval.token = string(l.ungetN(len(l.TokenBytes(nil)) - 2))
		return T_OBJECT_OPERATOR
		goto yystate0
	}
yyrule155: // {VAR_NAME}
	{
		popState()
		lval.token = string(l.TokenBytes(nil))
		return T_STRING
		goto yystate0
	}
yyrule156: // \[
	{
		pushState(STRING_VAR_INDEX)
		lval.token = string(l.TokenBytes(nil))
		return rune2Class(rune(l.TokenBytes(nil)[0]))
		goto yystate0
	}
yyrule157: // .|[ \t\n\r]
	{
		l.ungetN(1)
		popState()
		goto yystate0
	}
yyrule158: // {LNUM}|{HNUM}|{BNUM}
	{
		lval.token = string(l.TokenBytes(nil))
		return T_NUM_STRING
		goto yystate0
	}
yyrule159: // \${VAR_NAME}
	{
		lval.token = string(l.TokenBytes(nil))
		return T_VARIABLE
		goto yystate0
	}
yyrule160: // {VAR_NAME}
	{
		lval.token = string(l.TokenBytes(nil))
		return T_STRING
		goto yystate0
	}
yyrule161: // \]
	{
		popState()
		popState()
		lval.token = string(l.TokenBytes(nil))
		return rune2Class(rune(l.TokenBytes(nil)[0]))
		goto yystate0
	}
yyrule162: // [ \n\r\t\\'#]
	{
		popState()
		popState()
		lval.token = string(l.TokenBytes(nil))
		return T_ENCAPSED_AND_WHITESPACE
		goto yystate0
	}
yyrule163: // {OPERATORS}
	{
		lval.token = string(l.TokenBytes(nil))
		return rune2Class(rune(l.TokenBytes(nil)[0]))
		goto yystate0
	}
yyrule164: // .
	{
		lval.token = string(l.TokenBytes(nil))
		return rune2Class(rune(l.TokenBytes(nil)[0]))
		goto yystate0
	}
yyrule165: // {VAR_NAME}[\[\}]
	{
		popState()
		pushState(PHP)
		lval.token = string(l.ungetN(1))
		return T_STRING_VARNAME
		goto yystate0
	}
yyrule166: // .
	{
		l.ungetN(1)
		popState()
		pushState(PHP)
		goto yystate0
	}
	panic("unreachable")

	goto yyabort // silence unused label error

yyabort: // no lexem recognized
	if c, ok := l.Abort(); ok {
		return int(c)
	}
	goto yyAction
}
